Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class CatalogAPI

    java.lang.Object
      jet.api.API
          jet.api.CatalogAPI

Direct Known Subclasses:
  MultiUserCatalogAPI

    public class CatalogAPI

extends API

CatalogAPI class provides methods to manipulate the catalog objects. By building a CatalogAPI instance in a Java program, users can edit a report by methods provided by API.

Field Summary
`static int` | `ALIAS` SQL alias class type.
`static int` | `AVERAGE` function name
`static java.lang.String` | `BINARY` parameter type
`static java.lang.String` | `BOOLEAN` parameter type
`static int` | `BUSINESSLOGIC` Business logic class type.
`static int` | `BUSINESSLOGIC_CATEGORY` Business logic catagory class type.
`static int` | `BUSINESSLOGIC_DETAILINFO` Business logic detail class type.
`static int` | `BUSINESSLOGIC_DIMENSION` Business logic dimension class type.
`static int` | `BUSINESSLOGIC_HIERARCHY` Business logic hierarchy class type.
`static int` | `BUSINESSLOGIC_HIERARCHYCONTAINER` Business logic hirerarchy container class type.
`static int` | `BUSINESSLOGIC_MEASURE` Business logic measure class type.
`static int` | `CATALOG` Root class types.
`static int` | `COLUMN` SQL column class type.
`static int` | `CONNECTION` SQL connection class type.
`static int` | `COUNT` function name
`static java.lang.String` | `CURRENCY` parameter type
`static int` | `DATABASE` Database class type.
`static java.lang.String` | `DATE` parameter type
`static java.lang.String` | `DATETIME` parameter type
`static java.lang.String` | `DECIMAL` parameter type
`static int` | `DISTINCTCOUNT` function name
`static int` | `ENCODINGAUTO` encoded data type
`static int` | `ENCODINGNO` encoded data type
`static int` | `ENCODINGYES` encoded data type
`static int` | `EXTRA_NAME_JDBC` extra name type
`static int` | `EXTRA_NAME_USERDEFINED` extra name type
`static int` | `FILESQL` SQL select statement class type.
`static int` | `FORMULA` Formula class type.
`static int` | `HDS` HierDataSource class type.
`static java.lang.String` | `INTEGER` parameter type
`static int` | `JDBC` connection by JDBC
`static int` | `JDBC_ODBC_BRIDGE` connection by JDBC-ODBC bridge
`static int` | `MAXIMUM` function name
`static int` | `MINIMUM` function name
`static java.lang.String` | `NUMBER` parameter type
`static int` | `ONDEMAND_QUERY` ondemand query class type.
`static int` | `PARAMETER` Parameter class type.
`static java.lang.String` | `PARAMETERS` parameter type
`static int` | `PATTERN_1PART_NAME` qualified name pattern
`static int` | `PATTERN_2PART_NAME` qualified name pattern
`static int` | `PATTERN_3PART_NAME` qualified name pattern
`static int` | `POPULATIONSTDDEV` function name
`static int` | `POPULATIONVARIANCE` function name
`static int` | `PROCEDURE` SQL procedure class type.
`static int` | `QUERY` SQL query class type
`static int` | `READ_ONLY_DEFAULT` connection Read-only property
`static int` | `READ_ONLY_FALSE` connection Read-only property
`static int` | `READ_ONLY_TRUE` connection Read-only property
`static int` | `STDDEV` function name
`static java.lang.String` | `STRING` parameter type
`static int` | `SUM` function name
`static int` | `SUMMARY` Summary class type.
`static int` | `SYNONYM` SQL synonym class type.
`static int` | `TABLE` SQL table class type.
`static java.lang.String` | `TIME` parameter type
`static int` | `TRANSACTION_DEFAULT` transaction isolation level value
`static int` | `TRANSACTION_NONE` transaction isolation level value
`static int` | `TRANSACTION_READ_COMMITTED` transaction isolation level value
`static int` | `TRANSACTION_READ_UNCOMMITTED` transaction isolation level value
`static int` | `TRANSACTION_REPEATABLE_READ` transaction isolation level value
`static int` | `TRANSACTION_SERIALIZABLE` transaction isolation level value
`static int` | `UDS` User defined data source class type.
`static int` | `VARIANCE` function name
`static int` | `VIEW` SQL view class type.
`static int` | `WHEREPORTION` SQL where portion clause.
`static int` | `XML_CONNECTION` xml connection class type.
`static int` | `XML_MDCONTAINER` cml container class type.

Fields inherited from class jet.api.API
`CAT, CENTIMETER, COLOR, DOUBLE, ENUM, FLOAT, handles, INCH, LONG, PIXEL, REFERENCE, RPT, SELFRPT, TEXTRPT, UNKNOWN, XMLCAT, XMLRPT`

Method Summary
`boolean` | `checkParam(ParameterInfo info)` check whether the parameter is valid or not
`Designer` | `create(java.lang.String path, java.lang.String name)` Creates a new Designer with the report name.
`boolean` | `delete(java.lang.String handle)` Deletes an object from its parent node.
`boolean` | `delete(java.lang.String qryName, java.lang.String tablename)` Deletes the selected table in the query
`boolean` | `delete(java.lang.String qryName, java.lang.String unionQuery, boolean unionAll)` Deletes union query in a query
`boolean` | `delete(java.lang.String qryName, java.lang.String tablename, java.lang.String columnname, java.lang.String expression)` Deletes the QBE condition in the query
`boolean` | `delete(java.lang.String qryName, java.lang.String sExpression1, java.lang.String sOperator, java.lang.String sExpression2, java.lang.String sLogic)` Deletes where conditions in the query
`boolean` | `delete(java.lang.String qryName, java.lang.String tableFrom, java.lang.String columnFrom, java.lang.String operator, java.lang.String tableTo, java.lang.String columnTo)` Deletes joins in the query
`boolean` | `delete(java.lang.String dataSourceName, java.lang.String qryName, java.lang.String tableFrom, java.lang.String columnFrom, java.lang.String operator, java.lang.String tableTo, java.lang.String columnTo)` Deletes joins in the query
`boolean` | `delete(java.lang.String dataSourceName, java.lang.String qryName, UnionInfo info)` Deletes union query in a query
`boolean` | `delete(java.lang.String qryName, UnionInfo info)` Deletes union query in a query
`boolean` | `deleteCompCol(java.lang.String qryName, java.lang.String columnName)` delete a computed column into query.
`boolean` | `deleteCompCol(java.lang.String dataSourceName, java.lang.String qryName, java.lang.String columnName)` delete a computed column into query.
`boolean` | `deleteCondition(java.lang.String dataSourceName, java.lang.String qryName, java.lang.String sExpression1, java.lang.String sOperator, java.lang.String sExpression2, java.lang.String sLogic)` Deletes where conditions in the query
`boolean` | `deleteQBE(java.lang.String dataSourceName, java.lang.String qryName, java.lang.String tablename, java.lang.String columnname, java.lang.String expression)` Deletes the QBE condition in the query
`boolean` | `deleteQuery(java.lang.String qryName)` Deletes the query
`boolean` | `deleteQuery(java.lang.String dataSourceName, java.lang.String qryName)` Deletes the query
`boolean` | `deleteQueryField(java.lang.String dataSourceName, java.lang.String qryName, java.lang.String tablename, java.lang.String columnname)` Deletes the selected fields in the query
`boolean` | `deleteQueryTable(java.lang.String dataSourceName, java.lang.String qryName, java.lang.String tablename)` Deletes the selected table in the query
`boolean` | `deleteUnionQuery(java.lang.String dataSourceName, java.lang.String qryName, java.lang.String unionQuery, boolean unionAll)` Deletes union query in a query
`java.lang.String[][]` | `getAndConditions(java.lang.String queryName)` Deprecated.Gets "AND" conditions in the query
`java.lang.String[][]` | `getAndConditions(java.lang.String dataSourceName, java.lang.String queryName)` Deprecated.Gets "AND" conditions in the query
`AndInfo[]` | `getAndInfos(java.lang.String queryName)` get "And" condition infomations of the query
`AndInfo[]` | `getAndInfos(java.lang.String dataSourceName, java.lang.String queryName)` get "And" condition infomations of the query
`java.lang.String[]` | `getBLCategoryHandles(java.lang.String handle)` Gets business catagory handles in specified business logic node.
`java.lang.String[]` | `getBLDetailHandles(java.lang.String handle)` Gets business logic detail information handles in specified business logic node.
`java.lang.String[]` | `getBLDimensionHandles(java.lang.String handle)` Gets business logic Dimension handles in specified business logic node.
`java.lang.String[]` | `getBLHierarchyHandles(java.lang.String handle)` Gets business catagory handles in specified business logic node.
`java.lang.String[]` | `getBLMeasureHandles(java.lang.String handle)` Gets business logic Measure handles in specified business logic node.
`java.lang.String` | `getBLNodeQualifyName(java.lang.String handle)` Gets business logic node qualify name.
`java.lang.String[]` | `getBLViewHandles(java.lang.String dataSourceName)` Gets business logic view handles in specified datasource.
`java.lang.String[]` | `getBLViewHandles(java.lang.String dataSourceName, int queryType)` Gets business logic view handles by specified query type in specified datasource.
`java.lang.String[]` | `getBLViewNames(java.lang.String dataSourceName)` Gets business view names in specified datasource.
`java.lang.String[]` | `getBLViewNames(java.lang.String dataSourceName, int queryType)` Gets business view names in specified datasource.
`java.lang.String[]` | `getBusinessNodeNames(java.lang.String dataSourceName, java.lang.String businessViewName)` Gets business node names in specified datasource.
`java.lang.String[]` | `getChartFunctions(java.lang.String queryName, java.lang.String groupBy)` Gets formulae and summaries which are valid to the query and grouped on this field.
`java.lang.String[]` | `getChartFunctions(java.lang.String dataSourceName, java.lang.String queryName, java.lang.String groupBy)` Gets formulae and summaries which are valid to the query and grouped on this field.
`java.lang.String[]` | `getColumnMappingnames(java.lang.String queryName)` Gets column mapping names in the query
`java.lang.String[]` | `getColumnMappingnames(java.lang.String dataSourceName, java.lang.String queryName)` Gets column mapping names in the query
`QueryTableInfo` | `getColumns(java.lang.String queryName, boolean allColumns)` Gets columns in the query
`QueryTableInfo` | `getColumns(java.lang.String dataSourceName, java.lang.String queryName, boolean allColumns)` Gets columns in the query
`QueryTableInfo` | `getColumnsCanBeGroupedBy(java.lang.String queryName)` Gets columns which can be grouped by in the query
`QueryTableInfo` | `getColumnsCanBeGroupedBy(java.lang.String dataSourceName, java.lang.String queryName)` Gets columns which can be grouped by in the query
`java.lang.String[]` | `getCompColumnHandles(java.lang.String dataSourceName, java.lang.String queryName)` Gets computed column handles in the query
`java.lang.String[]` | `getCompColumns(java.lang.String queryName)` Gets computed columns in the query
`java.lang.String[]` | `getCompColumns(java.lang.String dataSourceName, java.lang.String queryName)` Gets computed columns in the query
`ConnectionInfo` | `getConnectionInfo()` get connection informations
`ConnectionInfo` | `getConnectionInfo(java.lang.String dataSourceName)` get connection informations
`java.lang.String[]` | `getDataSources()` Gets all DataSource in the catalog.
`java.lang.String[]` | `getDBFields(java.lang.String qryName)` Gets DBFields that can be used in the query.
`java.lang.String[]` | `getDBFields(java.lang.String dataSourceName, java.lang.String qryName)` Gets DBFields that can be used in the query.
`java.lang.String[]` | `getForeignKeys(java.lang.String tablename)` get foreign keys of the table
`java.lang.String[]` | `getForeignKeys(java.lang.String sourceName, java.lang.String tablename)` get foreign keys of the table
`java.lang.String[]` | `getFormulae()` Gets formulae that can be used in the catalog.
`java.lang.String[]` | `getFormulae(java.lang.String dataSourceName)` Gets formulae that can be used in the catalog.
`java.lang.String[]` | `getFormulaeCanBeGroupedBy(java.lang.String queryName)` Gets formulae which are valid to the query and can be grouped on
`java.lang.String[]` | `getFormulaeCanBeGroupedBy(java.lang.String queryName, java.lang.String groupBy)` Gets formulae which are valid to the query and grouped on this field
`java.lang.String[]` | `getFormulaeForQuery(java.lang.String queryName)` Gets formulae which are valid to the query
`java.lang.String[]` | `getFormulaeForQuery(java.lang.String dataSourceName, java.lang.String queryName)` Gets formulae which are valid to the query
`FormulaInfo` | `getFormulaInfo(java.lang.String handle)` get formula information
`java.lang.String[]` | `getFormulasCanBeGroupedBy(java.lang.String dataSourceName, java.lang.String queryName)` Gets formulae which are valid to the query and can be grouped on
`java.lang.String[]` | `getFunctions(int iType)` get names of embeded functions by the field type
`java.lang.String[]` | `getFunctions(java.lang.String resourceName)` get names of embeded functions by the field name
`java.lang.String[]` | `getFunctions(java.lang.String dataSourceName, java.lang.String resourceName)` get names of embeded functions by the field name
`java.lang.String` | `getHandle(java.lang.String resourceName, int type)` get the object handle
`java.lang.String` | `getHandle(java.lang.String dataSourceName, java.lang.String resourceName, int type)` get the object handle
`java.lang.String[]` | `getHDSs()` Gets all HDS in the default database of catalog.
`java.lang.String[]` | `getHDSs(java.lang.String dataSourceName)` Gets all HDS in the specified database of catalog.
`JoinInfo[]` | `getJoinInfos(java.lang.String queryName)` Gets joins in the query
`JoinInfo[]` | `getJoinInfos(java.lang.String dataSourceName, java.lang.String queryName)` Gets joins in the query
`java.lang.String[][]` | `getJoins(java.lang.String queryName)` Deprecated.Gets joins in the query
`java.lang.String[][]` | `getJoins(java.lang.String dataSourceName, java.lang.String queryName)` Deprecated.Gets joins in the query
`QueryTableInfo` | `getMapColumns(java.lang.String queryName)` get table and column infomation of this query
`QueryTableInfo` | `getMapColumns(java.lang.String dataSourceName, java.lang.String queryName)` get table and column infomation of this query
`java.lang.String` | `getMappingname(java.lang.String handle)` Gets mapping name of object
`java.lang.String[]` | `getMappingnames(java.lang.String DSName)` Gets the field mapping names in the data source
`java.lang.String[]` | `getMappingnames(java.lang.String dataSourceName, java.lang.String DSName)` Gets the field mapping names in the data source of a specified database
`java.lang.String` | `getNewFormulaName()` Gets the default formula name for the formula to be created in the current catalog,which must be unique.
`java.lang.String` | `getNewFormulaName(java.lang.String sourceName)` Gets the default formula name for the formula to be created in the current catalog,which must be unique.
`java.lang.String` | `getNewQueryName()` Gets the default query name for the query to be created in the current catalog,which must be unique.
`java.lang.String` | `getNewQueryName(java.lang.String sourceName)` Gets the default query name for the query to be created in the current catalog,which must be unique.
`java.lang.String` | `getNewReportName()` Gets a default report name for the report to be created, which must be unique.
`ObjectInfo` | `getObjectInfo(java.lang.String handle)` get entity information in Catalog
`ObjectInfo` | `getObjectInfo(java.lang.String resourceName, int type)` get entity information in Catalog
`ObjectInfo` | `getObjectInfo(java.lang.String dataSourceName, java.lang.String resourceName, int type)` get entity information in Catalog
`java.lang.String[]` | `getParameter()` Gets parameters in the catalog.
`java.lang.String[]` | `getParameter(java.lang.String dataSourceName)` Gets parameters in the catalog.
`java.lang.String[]` | `getParameterCanBeGroupedBy()` Gets parameters which can be grouped by
`java.lang.String[]` | `getParameterCanBeGroupedBy(java.lang.String dataSourceName)` Gets parameters which can be grouped by
`ParameterInfo` | `getParameterInfo(java.lang.String handle)` get paramter information
`java.lang.String[]` | `getPrimaryKeys(java.lang.String tablename)` get Primary keys of table
`java.lang.String[]` | `getPrimaryKeys(java.lang.String dataSourceName, java.lang.String tablename)` get Primary keys of table
`java.lang.String[]` | `getProcColumns(java.lang.String procedureName)` Gets all cloumn names of stored procedures
`java.lang.String[]` | `getProcColumns(java.lang.String dataSourceName, java.lang.String procedureName)` Gets all cloumn names of stored procedures
`java.lang.String[]` | `getProcColumnsMap(java.lang.String proceName)` Gets all cloumn mapping names of stored procedures
`java.lang.String[]` | `getProcColumnsMap(java.lang.String dataSourceName, java.lang.String proceName)` Gets all cloumn mapping names of stored procedures
`java.lang.String[]` | `getProcedureNames()` Gets all stored procedures in the catalog.
`java.lang.String[]` | `getProcedureNames(java.lang.String dataSourceName)` Gets all stored procedures in the catalog.
`java.lang.String[][]` | `getQBEInfo(java.lang.String queryName)` Deprecated.Gets QBE infomation in the query
`java.lang.String[][]` | `getQBEInfo(java.lang.String dataSourceName, java.lang.String queryName)` Deprecated.Gets QBE infomation in the query
`QBEInfo[]` | `getQBEInfos(java.lang.String queryName)` get "QBE" condition infomation of the query
`QBEInfo[]` | `getQBEInfos(java.lang.String dataSourceName, java.lang.String queryName)` get "QBE" condition infomation of the query
`java.lang.String[]` | `getQueries()` Gets queries in the catalog.
`java.lang.String[]` | `getQueries(java.lang.String dataSourceName)` Gets queries in the specified database.
`java.lang.String` | `getQuoteChar()` get quote char in connection
`java.lang.String` | `getQuoteChar(java.lang.String dataSourceName)` get quote char in connection
`java.lang.String[]` | `getSPFields(java.lang.String dataSourceName, java.lang.String spName, boolean isMapping)` get the specified store procedure's fields real field name
`java.lang.String[]` | `getSPFieldsMap(java.lang.String dataSourceName, java.lang.String spName, boolean isMapping)` get the specified store procedure's fields mapping name
`java.lang.String[]` | `getSQLColumns(java.lang.String sqlname)` Gets all cloumn names of file SQL
`java.lang.String[]` | `getSQLColumns(java.lang.String dataSourceName, java.lang.String sqlname)` Gets all cloumn names of file SQL
`java.lang.String[]` | `getSQLColumnsMap(java.lang.String sqlname)` Gets all cloumn mapping names of the file SQL
`java.lang.String[]` | `getSQLColumnsMap(java.lang.String dataSourceName, java.lang.String sqlname)` Gets all cloumn mapping names of the file SQL
`java.lang.String[]` | `getSQLs()` Gets all SQL files in the catalog.
`java.lang.String[]` | `getSQLs(java.lang.String dataSourceName)` Gets all SQL files in the catalog.
`java.lang.String` | `getSQLString(java.lang.String queryName)` Gets sql statement text of a queriable object
`java.lang.String` | `getSQLString(java.lang.String dataSourceName, java.lang.String queryName)` Gets sql statement text of a queriable object
`int` | `getSQLType(java.lang.String query, java.lang.String colName)` Gets sql type of a column
`int` | `getSQLType(java.lang.String sourceName, java.lang.String query, java.lang.String colName)` Gets sql type of a column
`java.lang.String[]` | `getSubQueries(java.lang.String queryName)` get "sub-query" conditions infomation of the query
`java.lang.String[]` | `getSubQueries(java.lang.String dataSourceName, java.lang.String queryName)` get "sub-query" conditions infomation of the query
`java.lang.String[]` | `getSummaries()` Gets summaries that can be used in the catalog.
`java.lang.String[]` | `getSummaries(java.lang.String dataSourceName)` Gets summaries that can be used in the catalog.
`java.lang.String[]` | `getSummariesForQuery(java.lang.String queryName)` Gets Summaries which are valid to the query
`java.lang.String[]` | `getSummariesForQuery(java.lang.String dataSourceName, java.lang.String queryName)` Gets Summaries which are valid to the query
`java.lang.String[]` | `getSummaryCanBeSortedBy(java.lang.String queryName, java.lang.String groupBy)` Gets summary which can be sorted by
`java.lang.String[]` | `getSummaryCanBeSortedBy(java.lang.String dataSourceName, java.lang.String queryName, java.lang.String groupBy)` Gets summary which can be sorted by
`SummaryInfo` | `getSummaryInfo(java.lang.String handle)` get summary information
`java.lang.String[]` | `getTableColumns(java.lang.String tablename)` Gets all cloumn names of the table
`java.lang.String[]` | `getTableColumns(java.lang.String tablename, boolean isMapping)` Gets all cloumn names of the table
`java.lang.String[]` | `getTableColumns(java.lang.String dataSourceName, java.lang.String tablename)` Gets all cloumn names of the table
`java.lang.String[]` | `getTableColumns(java.lang.String dataSourceName, java.lang.String tablename, boolean isMapping)` Gets all cloumn names of the table
`java.lang.String[]` | `getTableColumnsMap(java.lang.String tablename)` Gets all cloumn mapping names of table
`java.lang.String[]` | `getTableColumnsMap(java.lang.String tablename, boolean isMapping)` Gets all cloumn mapping names of table
`java.lang.String[]` | `getTableColumnsMap(java.lang.String dataSourceName, java.lang.String tablename)` Gets all cloumn mapping names of table
`java.lang.String[]` | `getTableColumnsMap(java.lang.String dataSourceName, java.lang.String tablename, boolean isMapping)` Gets all cloumn mapping names of table
`java.lang.String[]` | `getTables()` Gets tables and views in the connection
`java.lang.String[]` | `getTables(boolean bIncludeSystemTable)` Gets tables and views in the data source
`java.lang.String[]` | `getTables(java.lang.String dataSourceName)` Gets tables and views in the connection of specified database
`java.lang.String[]` | `getTables(java.lang.String dataSourceName, boolean bIncludeSystemTable)` Gets tables and views in the data source
`java.lang.String[]` | `getUDSColumns(java.lang.String udsname)` Gets all cloumns name of UDS
`java.lang.String[]` | `getUDSColumns(java.lang.String dataSourceName, java.lang.String udsname)` Gets all cloumns name of UDS
`java.lang.String[]` | `getUDSColumnsMap(java.lang.String udsname)` Gets all cloumns mapping name of UDS
`java.lang.String[]` | `getUDSColumnsMap(java.lang.String dataSourceName, java.lang.String udsname)` Gets all cloumns mapping name of UDS
`java.lang.String[]` | `getUDSs()` Gets all UDSs in the catalog.
`java.lang.String[]` | `getUDSs(java.lang.String dataSourceName)` Gets all UDSs in the catalog.
`java.lang.String[]` | `getUnionableQueries(java.lang.String queryname)` get query names that can be unioned to this query
`java.lang.String[]` | `getUnionableQueries(java.lang.String dataSourceName, java.lang.String queryname)` get query names that can be unioned to this query
`UnionInfos` | `getUnionInfos(java.lang.String queryName)` Gets union query information of a specified query
`UnionInfos` | `getUnionInfos(java.lang.String dataSourceName, java.lang.String queryName)` Gets union query information of a specified query
`java.lang.String[]` | `getUnionQueries(java.lang.String queryName)` Gets unioned query names of a specified query
`java.lang.String[]` | `getUnionQueries(java.lang.String queryName, boolean isUnionAll)` Gets unioned query names of a specified query according to union status
`java.lang.String[]` | `getUnionQueries(java.lang.String dataSourceName, java.lang.String queryName)` Gets unioned query names of a specified query
`java.lang.String[]` | `getUnionQueries(java.lang.String dataSourceName, java.lang.String queryName, boolean isUnionAll)` Gets unioned query names of a specified query according to union status
`java.lang.String` | `getUserID()` Gets user's ID
`java.lang.String` | `insert(boolean bUseJDBCODBCBridge, java.lang.String name, java.lang.String desc, java.lang.String url, java.lang.String driver)` Inserts a database connection
`java.lang.String` | `insert(boolean bUseJDBCODBCBridge, java.lang.String strName, java.lang.String strDesc, java.lang.String URL, java.lang.String DRV, ConnectionInfo info)` Inserts a database connection
`java.lang.String` | `insert(java.lang.String dataSourceName, boolean bUseJDBCODBCBridge, java.lang.String name, java.lang.String desc, java.lang.String url, java.lang.String driver)` Inserts a database connection
`java.lang.String` | `insert(java.lang.String dataSourceName, boolean bUseJDBCODBCBridge, java.lang.String strName, java.lang.String strDesc, java.lang.String URL, java.lang.String DRV, ConnectionInfo info)` Inserts a database connection
`java.lang.String` | `insert(java.lang.String name, int type)` insert resource entity into catalog.
`java.lang.String` | `insert(java.lang.String qryName, QueryFieldInfo queryFieldInfo, QueryJoinInfo queryJoinInfo, QueryQBEInfo queryQBEInfo, QueryAndInfo queryAndInfo)` Inserts a query into the catalog.
`java.lang.String` | `insert(java.lang.String SQLName, java.lang.String filename)` Imports a SQL file
`java.lang.String` | `insert(java.lang.String dataSourceName, java.lang.String name, int type)` insert resource entity into catalog.
`java.lang.String` | `insert(java.lang.String summaryName, java.lang.String desc, int functionType, java.lang.String fieldName, java.lang.String groupByFld)` Defines a aggregate function
`java.lang.String` | `insert(java.lang.String dataSourceName, java.lang.String qryName, QueryFieldInfo queryFieldInfo, QueryJoinInfo queryJoinInfo, QueryQBEInfo queryQBEInfo, QueryAndInfo queryAndInfo)` Inserts a query into the catalog.
`java.lang.String` | `insert(java.lang.String formulaName, java.lang.String desc, java.lang.String expression)` Adds a formula to the database according to the specified name, description and expression.
`java.lang.String` | `insert(java.lang.String catalogName, java.lang.String schemaPattern, java.lang.String tablePattern, int type)` Inserts a table or view into the catalog.
`java.lang.String` | `insert(java.lang.String catalogName, java.lang.String schemaPattern, java.lang.String tablePattern, int type, boolean setMappingName)` Inserts a table or view into the catalog.
`java.lang.String` | `insert(java.lang.String dataSourceName, java.lang.String summaryName, java.lang.String desc, int functionType, java.lang.String fieldName, java.lang.String groupByFld)` Defines a aggregate function
`java.lang.String` | `insert(java.lang.String dataSourceName, java.lang.String formulaName, java.lang.String desc, java.lang.String expression)` Adds a formula to the database according to the specified name, description and expression.
`java.lang.String` | `insert(java.lang.String tableName, java.lang.String catalogName, java.lang.String schemaPattern, java.lang.String tablePattern, int type, boolean setMappingName)` Inserts a table or view into the catalog.
`java.lang.String` | `insert(java.lang.String tableName, java.lang.String catalogName, java.lang.String schemaPattern, java.lang.String tablePattern, int type, java.lang.String character)` Inserts a table or view into the catalog.
`java.lang.String` | `insert(java.lang.String parameterName, java.lang.String desc, java.lang.String prompt, java.lang.String type, java.lang.String defaultValue)` Defines a parameter
`java.lang.String` | `insert(java.lang.String procName, java.lang.String catalog, java.lang.String schema, java.lang.String name, java.lang.String remarks, int iType)` Inserts a stored procedure into Connection
`java.lang.String` | `insert(java.lang.String procName, java.lang.String catalog, java.lang.String schema, java.lang.String name, java.lang.String remarks, int iType, boolean setMappingName)` Inserts a stored procedure into Connection
`java.lang.String` | `insert(java.lang.String dataSourceName, java.lang.String tableName, java.lang.String catalogName, java.lang.String schemaPattern, java.lang.String tablePattern, int type, java.lang.String character)` Inserts a table or view into the catalog.
`java.lang.String` | `insert(java.lang.String dataSourceName, java.lang.String parameterName, java.lang.String desc, java.lang.String prompt, java.lang.String type, java.lang.String defaultValue)` Defines a parameter
`java.lang.String` | `insert(java.lang.String dataSourceName, java.lang.String procName, java.lang.String catalog, java.lang.String schema, java.lang.String name, java.lang.String remarks, int iType, boolean setMappingName)` Inserts a stored procedure into Connection
`java.lang.String` | `insert(java.lang.String dataSourceName, java.lang.String procName, java.lang.String catalog, java.lang.String schema, java.lang.String name, java.lang.String remarks, int iType, boolean setMappingName, java.lang.String connector)` Inserts a stored procedure into Connection
`java.lang.String` | `insert(java.lang.String dataSourceName, java.lang.String procName, java.lang.String catalog, java.lang.String schema, java.lang.String name, java.lang.String remarks, int iType, java.lang.String connector)` Inserts a stored procedure into Connection
`java.lang.String` | `insert(java.lang.String dataSourceName, java.lang.String strDSName, java.lang.String strClassName, java.lang.String strParameter, UDSColumnInfo udsColInfo)` Inserts a user defined datasource
`java.lang.String` | `insert(java.lang.String strDSName, java.lang.String strClassName, java.lang.String strParameter, UDSColumnInfo udsColInfo)` Inserts a user defined datasource
`java.lang.String` | `insert(java.lang.String dataSourceName, java.lang.String wherePotionName, java.lang.String desc, WherePortionInfo whereportionInfo)` Defines a where potion
`java.lang.String` | `insert(java.lang.String wherePotionName, java.lang.String desc, WherePortionInfo whereportionInfo)` Defines a where potion
`java.lang.String` | `insertBLCategory(java.lang.String parentHandle, BLCategoryInfo info)` Inserts a business logic Category information into specified object
`java.lang.String` | `insertBLDetail(java.lang.String parentHandle, BLDetailInfo info)` Inserts a business logic Detail information into specified object
`java.lang.String` | `insertBLDimension(java.lang.String parentHandle, BLDimensionInfo info)` Inserts a business logic dimension into specified object
`java.lang.String` | `insertBLHierarchy(java.lang.String blViewHandle, BLHierarchyInfo info)` Inserts a business logic Category information into specified object
`java.lang.String` | `insertBLMeasure(java.lang.String parentHandle, BLMeasureInfo info)` Inserts a business logic measure into specified object
`java.lang.String` | `insertBusinessView(java.lang.String dataSourceName, java.lang.String queriableName, java.lang.String businessViewName)` Inserts a business view into specified queriable object
`java.lang.String` | `insertClassHDS(java.lang.String dataSourceName, java.lang.String name, java.lang.String classPath, java.lang.String parameter)` insert resource entity into catalog.
`java.lang.String` | `insertCompCol(java.lang.String qryName, java.lang.String columnName, java.lang.String sExpression)` Inserts a computed column into query.
`java.lang.String` | `insertCompCol(java.lang.String dataSourceName, java.lang.String qryName, java.lang.String columnName, java.lang.String sExpression)` Inserts a computed column into query.
`java.lang.String` | `insertSql(java.lang.String dataSourceName, java.lang.String SQLName, java.lang.String filename)` Imports a SQL file
`java.lang.String` | `insertXMLHDS(java.lang.String dataSourceName, java.lang.String name, java.lang.String xmlPath, java.lang.String xsdPath)` insert resource entity into catalog.
`boolean` | `isDistinctQuery(java.lang.String dataSourceName, java.lang.String queryName)` set the distinct status of query
`boolean` | `isModified()` whether the catalog was modified
`boolean` | `isNameExist(java.lang.String name)` judge whether the resource entity has existed in the catalog
`boolean` | `isNameExist(java.lang.String dataSourceName, java.lang.String name)` judge whether the resource entity has existed in the catalog
`java.lang.String` | `mapFunction(int function)` convert function type number to String
`java.lang.String` | `parseFormula(java.lang.String dataSourceName, FormulaInfo info)` parse the formula in the database
`java.lang.String` | `parseFormulae()` parse formulae in the database
`java.lang.String` | `parseFormulae(java.lang.String dataSourceName)` parse formulae in the database
`void` | `rename(java.lang.String resourceName, java.lang.String newName, int type)` rename the specified object
`void` | `rename(java.lang.String dataSourceName, java.lang.String resourceName, java.lang.String newName, int type)` rename the specified object
`boolean` | `save()` Saves an opened catalog.
`boolean` | `saveAs(java.lang.String path, java.lang.String name)` Saves an opened catalog as new catalog file.
`boolean` | `set(java.lang.String qryName, AndInfo andInfo)` Adds a new and condition to the query
`boolean` | `set(java.lang.String handle, FormulaInfo info)` Sets formula information
`boolean` | `set(java.lang.String qryName, JoinInfo joinInfo)` Adds a new join to the query
`boolean` | `set(java.lang.String handle, ParameterInfo info)` Sets parameter information
`boolean` | `set(java.lang.String qryName, QBEInfo qbeInfo)` Adds QBE condition to the query
`boolean` | `set(java.lang.String dataSourceName, java.lang.String qryName, AndInfo andInfo)` Adds a new and condition to the query
`boolean` | `set(java.lang.String dataSourceName, java.lang.String qryName, JoinInfo joinInfo)` Adds a new join to the query
`boolean` | `set(java.lang.String qryName, java.lang.String tablename, java.lang.String columnname, java.lang.String expression)` Adds a new QBE condition to the query
`boolean` | `set(java.lang.String dataSourceName, java.lang.String qryName, java.lang.String tablename, java.lang.String columnname, boolean isFormula)` Adds a new field to the query
`boolean` | `set(java.lang.String qryName, java.lang.String sExpression1, java.lang.String sOperator, java.lang.String sExpression2, java.lang.String sLogic)` Adds a new where condition to the query
`boolean` | `set(java.lang.String qryName, java.lang.String tableFrom, java.lang.String columnFrom, java.lang.String operator, java.lang.String tableTo, java.lang.String columnTo)` Adds a new join to the query
`boolean` | `set(java.lang.String qryName, java.lang.String tableFrom, java.lang.String columnFrom, java.lang.String operator, java.lang.String tableTo, java.lang.String columnTo, boolean isSQL92, int outerJoin)` Adds a new join to the query
`boolean` | `set(java.lang.String dataSourceName, java.lang.String qryName, java.lang.String tableFrom, java.lang.String columnFrom, java.lang.String operator, java.lang.String tableTo, java.lang.String columnTo, boolean isSQL92, int outerJoin)` Adds a new join to the query
`boolean` | `set(java.lang.String dataSourceName, java.lang.String qryName, SubQueryInfo subqueryInfo)` Adds a subquery in to the query
`boolean` | `set(java.lang.String dataSourceName, java.lang.String qryName, UnionInfo unionInfo)` Adds a union query in to the query
`boolean` | `set(java.lang.String qryName, SubQueryInfo subqueryInfo)` Adds a subquery in to the query
`boolean` | `set(java.lang.String handle, SummaryInfo info)` Sets summary information
`boolean` | `set(java.lang.String qryName, UnionInfo unionInfo)` Adds a union query in to the query
`boolean` | `setCompCol(java.lang.String qryName, java.lang.String columnName, java.lang.String sExpression)` modify the expression of a computed column .
`boolean` | `setCompCol(java.lang.String dataSourceName, java.lang.String qryName, java.lang.String columnName, java.lang.String sExpression)` modify the expression of a computed column .
`boolean` | `setCondition(java.lang.String dataSourceName, java.lang.String qryName, java.lang.String sExpression1, java.lang.String sOperator, java.lang.String sExpression2, java.lang.String sLogic)` Adds a new where condition to the query
`boolean` | `setDistinctQuery(java.lang.String dataSourceName, java.lang.String queryName, boolean isDisTinct)` set the distinct status of query
`boolean` | `setJoin(java.lang.String dataSourceName, java.lang.String qryName, java.lang.String tableFrom, java.lang.String columnFrom, java.lang.String operator, java.lang.String tableTo, java.lang.String columnTo)` Adds a new join to the query
`void` | `setModified(boolean isModified)` set the modifying status of Catalog
`boolean` | `setQBE(java.lang.String dataSourceName, java.lang.String qryName, java.lang.String tablename, java.lang.String columnname, java.lang.String expression)` Adds a new QBE condition to the query
`boolean` | `setQueryTable(java.lang.String qryName, java.lang.String tablename, boolean selectAllFields)` Adds a new table to the query
`boolean` | `setQueryTable(java.lang.String dataSourceName, java.lang.String qryName, java.lang.String tablename, boolean selectAllFields)` Adds a new table to the query
`java.lang.String` | `updateSQLFile(java.lang.String SQLName, java.lang.String filename)` Update a SQL with a SQL file.
`java.lang.String` | `updateSQLFile(java.lang.String dataSourceName, java.lang.String SQLName, java.lang.String filename)` Update a SQL with a SQL file.
`boolean` | `updateUDS(java.lang.String userDataSourceName)` Update UDS in Default Data Source in the Catalog.
`boolean` | `updateUDS(java.lang.String dataSourceName, java.lang.String userDataSourceName)` Update UDS in specified Data Source in the Catalog.

Methods inherited from class jet.api.API
`clearError, clearMsg, clearWarning, closeLog, containPropName, getBool, getChildren, getColor, getDouble, getError, getFloat, getHandles, getHandles, getHandles, getHandles, getInstanceName, getInt, getLong, getParent, getPropNames, getPropType, getQualifyName, getString, getStringArray, getUnit, getWarning, set, set, set, set, set, set, setLog, setLog, setLog, setReference, setUnit, writeLog, writeLog`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CATALOG

    public static final int CATALOG

  Root class types.

  See Also:
    Constant Field Values

### CONNECTION

    public static final int CONNECTION

  SQL connection class type.

  See Also:
    Constant Field Values

### TABLE

    public static final int TABLE

  SQL table class type.

  See Also:
    Constant Field Values

### VIEW

    public static final int VIEW

  SQL view class type.

  See Also:
    Constant Field Values

### COLUMN

    public static final int COLUMN

  SQL column class type.

  See Also:
    Constant Field Values

### QUERY

    public static final int QUERY

  SQL query class type

  See Also:
    Constant Field Values

### PROCEDURE

    public static final int PROCEDURE

  SQL procedure class type.

  See Also:
    Constant Field Values

### FILESQL

    public static final int FILESQL

  SQL select statement class type.

  See Also:
    Constant Field Values

### UDS

    public static final int UDS

  User defined data source class type.

  See Also:
    Constant Field Values

### FORMULA

    public static final int FORMULA

  Formula class type.

  See Also:
    Constant Field Values

### SUMMARY

    public static final int SUMMARY

  Summary class type.

  See Also:
    Constant Field Values

### PARAMETER

    public static final int PARAMETER

  Parameter class type.

  See Also:
    Constant Field Values

### WHEREPORTION

    public static final int WHEREPORTION

  SQL where portion clause.

  See Also:
    Constant Field Values

### SYNONYM

    public static final int SYNONYM

  SQL synonym class type.

  See Also:
    Constant Field Values

### ALIAS

    public static final int ALIAS

  SQL alias class type.

  See Also:
    Constant Field Values

### DATABASE

    public static final int DATABASE

  Database class type.

  See Also:
    Constant Field Values

### HDS

    public static final int HDS

  HierDataSource class type.

  See Also:
    Constant Field Values

### BUSINESSLOGIC

    public static final int BUSINESSLOGIC

  Business logic class type.

  See Also:
    Constant Field Values

### BUSINESSLOGIC_CATEGORY

    public static final int BUSINESSLOGIC_CATEGORY

  Business logic catagory class type.

  See Also:
    Constant Field Values

### BUSINESSLOGIC_DIMENSION

    public static final int BUSINESSLOGIC_DIMENSION

  Business logic dimension class type.

  See Also:
    Constant Field Values

### BUSINESSLOGIC_MEASURE

    public static final int BUSINESSLOGIC_MEASURE

  Business logic measure class type.

  See Also:
    Constant Field Values

### BUSINESSLOGIC_DETAILINFO

    public static final int BUSINESSLOGIC_DETAILINFO

  Business logic detail class type.

  See Also:
    Constant Field Values

### BUSINESSLOGIC_HIERARCHY

    public static final int BUSINESSLOGIC_HIERARCHY

  Business logic hierarchy class type.

  See Also:
    Constant Field Values

### BUSINESSLOGIC_HIERARCHYCONTAINER

    public static final int BUSINESSLOGIC_HIERARCHYCONTAINER

  Business logic hirerarchy container class type.

  See Also:
    Constant Field Values

### ONDEMAND_QUERY

    public static final int ONDEMAND_QUERY

  ondemand query class type.

  See Also:
    Constant Field Values

### XML_CONNECTION

    public static final int XML_CONNECTION

  xml connection class type.

  See Also:
    Constant Field Values

### XML_MDCONTAINER

    public static final int XML_MDCONTAINER

  cml container class type.

  See Also:
    Constant Field Values

### JDBC_ODBC_BRIDGE

    public static final int JDBC_ODBC_BRIDGE

  connection by JDBC-ODBC bridge

### JDBC

    public static final int JDBC

  connection by JDBC

### PATTERN_1PART_NAME

    public static final int PATTERN_1PART_NAME

  qualified name pattern

### PATTERN_2PART_NAME

    public static final int PATTERN_2PART_NAME

  qualified name pattern

### PATTERN_3PART_NAME

    public static final int PATTERN_3PART_NAME

  qualified name pattern

### EXTRA_NAME_JDBC

    public static final int EXTRA_NAME_JDBC

  extra name type

### EXTRA_NAME_USERDEFINED

    public static final int EXTRA_NAME_USERDEFINED

  extra name type

### ENCODINGAUTO

    public static final int ENCODINGAUTO

  encoded data type

### ENCODINGYES

    public static final int ENCODINGYES

  encoded data type

### ENCODINGNO

    public static final int ENCODINGNO

  encoded data type

### TRANSACTION_DEFAULT

    public static final int TRANSACTION_DEFAULT

  transaction isolation level value

### TRANSACTION_NONE

    public static final int TRANSACTION_NONE

  transaction isolation level value

### TRANSACTION_READ_UNCOMMITTED

    public static final int TRANSACTION_READ_UNCOMMITTED

  transaction isolation level value

### TRANSACTION_READ_COMMITTED

    public static final int TRANSACTION_READ_COMMITTED

  transaction isolation level value

### TRANSACTION_REPEATABLE_READ

    public static final int TRANSACTION_REPEATABLE_READ

  transaction isolation level value

### TRANSACTION_SERIALIZABLE

    public static final int TRANSACTION_SERIALIZABLE

  transaction isolation level value

### READ_ONLY_DEFAULT

    public static final int READ_ONLY_DEFAULT

  connection Read-only property

### READ_ONLY_TRUE

    public static final int READ_ONLY_TRUE

  connection Read-only property

### READ_ONLY_FALSE

    public static final int READ_ONLY_FALSE

  connection Read-only property

### INTEGER

    public static final java.lang.String INTEGER

  parameter type

### NUMBER

    public static final java.lang.String NUMBER

  parameter type

### STRING

    public static final java.lang.String STRING

  parameter type

### DECIMAL

    public static final java.lang.String DECIMAL

  parameter type

### CURRENCY

    public static final java.lang.String CURRENCY

  parameter type

### BOOLEAN

    public static final java.lang.String BOOLEAN

  parameter type

### DATE

    public static final java.lang.String DATE

  parameter type

### TIME

    public static final java.lang.String TIME

  parameter type

### DATETIME

    public static final java.lang.String DATETIME

  parameter type

### BINARY

    public static final java.lang.String BINARY

  parameter type

### PARAMETERS

    public static final java.lang.String PARAMETERS

  parameter type

  See Also:
    Constant Field Values

### COUNT

    public static final int COUNT

  function name

### SUM

    public static final int SUM

  function name

### AVERAGE

    public static final int AVERAGE

  function name

### MAXIMUM

    public static final int MAXIMUM

  function name

### MINIMUM

    public static final int MINIMUM

  function name

### POPULATIONSTDDEV

    public static final int POPULATIONSTDDEV

  function name

### POPULATIONVARIANCE

    public static final int POPULATIONVARIANCE

  function name

### STDDEV

    public static final int STDDEV

  function name

### VARIANCE

    public static final int VARIANCE

  function name

### DISTINCTCOUNT

    public static final int DISTINCTCOUNT

  function name

Method Detail

### getUserID

    public java.lang.String getUserID()

  Gets user's ID

  Returns:
    user ID

### save

    public boolean save()
                 throws jet.jetc.WriteFailureException,
                        jet.universe.exception.FMLFileException

  Saves an opened catalog.

  Returns:
    false if fails to close the opened catalog. Otherwise returns true.
  Throws:
    `jet.jetc.WriteFailureException`
    `jet.universe.exception.FMLFileException`

### saveAs

    public boolean saveAs(java.lang.String path,
                          java.lang.String name)

  Saves an opened catalog as new catalog file.

  Parameters:
    `path` - the file path of new catalog file.
    `name` - the file name of new catalog file.
  Returns:
    false if fails to close the opened catalog. Otherwise returns true.

### getNewQueryName

    public java.lang.String getNewQueryName()

  Gets the default query name for the query to be created in the current catalog,which must be unique. The first query name is query1, the following will be query2, query3....

### getNewQueryName

    public java.lang.String getNewQueryName(java.lang.String sourceName)

  Gets the default query name for the query to be created in the current catalog,which must be unique. The first query name is query1, the following will be query2, query3....

### getNewFormulaName

    public java.lang.String getNewFormulaName()

  Gets the default formula name for the formula to be created in the current catalog,which must be unique. The first formula name is formula1, the following will be formula2, formula3....

### getNewFormulaName

    public java.lang.String getNewFormulaName(java.lang.String sourceName)

  Gets the default formula name for the formula to be created in the current catalog,which must be unique. The first formula name is formula1, the following will be formula2, formula3....

### getNewReportName

    public java.lang.String getNewReportName()

  Gets a default report name for the report to be created, which must be unique. The name for the first report will be report1, the following will be report2, report3....

  Returns:
    report name string

### getMappingname

    public java.lang.String getMappingname(java.lang.String handle)

  Gets mapping name of object

  Parameters:
    `handle` - handle of object
  Returns:
    mapping name string

### create

    public Designer create(java.lang.String path,
                           java.lang.String name)

  Creates a new Designer with the report name.

  Parameters:
    `path` - the catalog file path
    `name` - the catalog file name
  Returns:
    the newly created Designer object

### insert

    public java.lang.String insert(java.lang.String name,
                                   int type)

  insert resource entity into catalog.

  Parameters:
    `name` - resource entity name
    `type` - resource entity type
  Returns:
    handle of resource entity

### insert

    public java.lang.String insert(java.lang.String dataSourceName,
                                   java.lang.String name,
                                   int type)

  insert resource entity into catalog.

  Parameters:
    `dataSourceName` - database name
    `type` - resource entity type
  Returns:
    handle of resource entity

### insert

    public java.lang.String insert(java.lang.String dataSourceName,
                                   java.lang.String procName,
                                   java.lang.String catalog,
                                   java.lang.String schema,
                                   java.lang.String name,
                                   java.lang.String remarks,
                                   int iType,
                                   boolean setMappingName)

  Inserts a stored procedure into Connection

  Parameters:
    `dataSourceName` - the data source name
    `procName` - the procedure mapping name
    `catalog` - the catalog name of the procedure
    `schema` - the schema name of the procedure
    `name` - the procedure name
    `remarks` - the remark on the procedure
    `iType` - the result type of the procedure
    `setMappingName` - whether or not set the field name as "name_fieldName".
  Returns:
    the handle of the newly inserted procedure. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String dataSourceName,
                                   java.lang.String procName,
                                   java.lang.String catalog,
                                   java.lang.String schema,
                                   java.lang.String name,
                                   java.lang.String remarks,
                                   int iType,
                                   java.lang.String connector)

  Inserts a stored procedure into Connection

  Parameters:
    `dataSourceName` - the data source name
    `procName` - the procedure mapping name
    `catalog` - the catalog name of the procedure
    `schema` - the schema name of the procedure
    `name` - the procedure name
    `remarks` - the remark on the procedure
    `iType` - the result type of the procedure
    `connector` - the character which used to connect table name and fieldName as mapping name (resouce Name) of field
  Returns:
    the handle of the newly inserted procedure. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String dataSourceName,
                                   java.lang.String procName,
                                   java.lang.String catalog,
                                   java.lang.String schema,
                                   java.lang.String name,
                                   java.lang.String remarks,
                                   int iType,
                                   boolean setMappingName,
                                   java.lang.String connector)

  Inserts a stored procedure into Connection

  Parameters:
    `dataSourceName` - the data source name
    `procName` - the procedure mapping name
    `catalog` - the catalog name of the procedure
    `schema` - the schema name of the procedure
    `name` - the procedure name
    `remarks` - the remark on the procedure
    `iType` - the result type of the procedure
    `setMappingName` - whether or not set the field name as "name_fieldName".
    `connector` - the character which used to connect table name and fieldName as mapping name (resouce Name) of field if setMappingName is true.
  Returns:
    the handle of the newly inserted procedure. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String procName,
                                   java.lang.String catalog,
                                   java.lang.String schema,
                                   java.lang.String name,
                                   java.lang.String remarks,
                                   int iType,
                                   boolean setMappingName)

  Inserts a stored procedure into Connection

  Parameters:
    `procName` - the procedure mapping name
    `catalog` - the catalog name of the procedure
    `schema` - the schema name of the procedure
    `name` - the procedure name
    `remarks` - the remark on the procedure
    `iType` - the result type of the procedure
    `setMappingName` - whether or not set the field name as "name_fieldName".
  Returns:
    the handle of the newly inserted procedure. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String procName,
                                   java.lang.String catalog,
                                   java.lang.String schema,
                                   java.lang.String name,
                                   java.lang.String remarks,
                                   int iType)

  Inserts a stored procedure into Connection

  Parameters:
    `procName` - the procedure mapping name
    `catalog` - the catalog name of the procedure
    `schema` - the schema name of the procedure
    `name` - the procedure name
    `remarks` - the remark on the procedure
    `iType` - the result type of the procedure
  Returns:
    the handle of the newly inserted procedure. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String strDSName,
                                   java.lang.String strClassName,
                                   java.lang.String strParameter,
                                   UDSColumnInfo udsColInfo)

  Inserts a user defined datasource

  Parameters:
    `strDSName` - the UDS name
    `strClassName` - the UDS class name
    `strParameter` - the parameter value
    `udsColInfo` - the specified column information.
  Returns:
    the handle of the newly inserted UDS. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String dataSourceName,
                                   java.lang.String strDSName,
                                   java.lang.String strClassName,
                                   java.lang.String strParameter,
                                   UDSColumnInfo udsColInfo)

  Inserts a user defined datasource

  Parameters:
    `dataSourceName` - the data source name
    `strDSName` - the UDS name
    `strClassName` - the UDS class name
    `strParameter` - the parameter value
    `udsColInfo` - the specified column information.
  Returns:
    the handle of the newly inserted UDS. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String parameterName,
                                   java.lang.String desc,
                                   java.lang.String prompt,
                                   java.lang.String type,
                                   java.lang.String defaultValue)

  Defines a parameter

  Parameters:
    `parameterName` - the parameter name
    `desc` - the description of the parameter
    `prompt` - the prompt text
    `type` - the parameter data type
    `defaultValue` - the default value of the parameter
  Returns:
    the handle of the newly inserted parameter. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String dataSourceName,
                                   java.lang.String parameterName,
                                   java.lang.String desc,
                                   java.lang.String prompt,
                                   java.lang.String type,
                                   java.lang.String defaultValue)

  Defines a parameter

  Parameters:
    `dataSourceName` - the data source name
    `parameterName` - the parameter name
    `desc` - the description of the parameter
    `prompt` - the prompt text
    `type` - the parameter data type
    `defaultValue` - the default value of the parameter
  Returns:
    the handle of the newly inserted parameter. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String wherePotionName,
                                   java.lang.String desc,
                                   WherePortionInfo whereportionInfo)

  Defines a where potion

  Parameters:
    `wherePotionName` - the WherePotion Name
    `desc` - the description of WherePotion
    `whereportionInfo` - the WherePortion information
  Returns:
    the handle of the newly inserted whereportion. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String dataSourceName,
                                   java.lang.String wherePotionName,
                                   java.lang.String desc,
                                   WherePortionInfo whereportionInfo)

  Defines a where potion

  Parameters:
    `dataSourceName` - the data source name
    `wherePotionName` - the WherePotion Name
    `desc` - the description of WherePotion
    `whereportionInfo` - the WherePortion information
  Returns:
    the handle of the newly inserted whereportion. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String formulaName,
                                   java.lang.String desc,
                                   java.lang.String expression)

  Adds a formula to the database according to the specified name, description and expression.

  Parameters:
    `formulaName` - the formula name
    `desc` - the description of the formula
    `expression` - the expression
  Returns:
    the handle of the newly inserted formula. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String dataSourceName,
                                   java.lang.String formulaName,
                                   java.lang.String desc,
                                   java.lang.String expression)

  Adds a formula to the database according to the specified name, description and expression.

  Parameters:
    `dataSourceName` - the data source name
    `formulaName` - the formula name
    `desc` - the description of the formula
    `expression` - the expression
  Returns:
    the handle of the newly inserted formula. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String summaryName,
                                   java.lang.String desc,
                                   int functionType,
                                   java.lang.String fieldName,
                                   java.lang.String groupByFld)

  Defines a aggregate function

  Parameters:
    `summaryName` - the summary name
    `desc` - the description of the function
    `functionType` - the function type
    `fieldName` - the name of the field calculated on
    `groupByFld` - the name of the field grouped by
  Returns:
    the handle of the newly inserted function. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String dataSourceName,
                                   java.lang.String summaryName,
                                   java.lang.String desc,
                                   int functionType,
                                   java.lang.String fieldName,
                                   java.lang.String groupByFld)

  Defines a aggregate function

  Parameters:
    `dataSourceName` - the data source name
    `summaryName` - the summary name
    `desc` - the description of the function
    `functionType` - the function type
    `fieldName` - the name of the field calculated on
    `groupByFld` - the name of the field grouped by
  Returns:
    the handle of the newly inserted function. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String SQLName,
                                   java.lang.String filename)

  Imports a SQL file

  Parameters:
    `SQLName` - the SQL name
    `filename` - the imported file name
  Returns:
    the handle of the newly inserted file sql. If fails, a null value will be returned.

### insertSql

    public java.lang.String insertSql(java.lang.String dataSourceName,
                                      java.lang.String SQLName,
                                      java.lang.String filename)

  Imports a SQL file

  Parameters:
    `dataSourceName` - the data source name
    `SQLName` - the SQL name
    `filename` - the imported file name
  Returns:
    the handle of the newly inserted file sql. If fails, a null value will be returned.

### updateSQLFile

    public java.lang.String updateSQLFile(java.lang.String SQLName,
                                          java.lang.String filename)

  Update a SQL with a SQL file.

  Parameters:
    `SQLName` - the SQL name
    `filename` - the imported file name
  Returns:
    the handle of the newly inserted file sql. If fails, a null value will be returned.

### updateSQLFile

    public java.lang.String updateSQLFile(java.lang.String dataSourceName,
                                          java.lang.String SQLName,
                                          java.lang.String filename)

  Update a SQL with a SQL file.

  Parameters:
    `dataSourceName` - the data source name
    `SQLName` - the SQL name
    `filename` - the imported file name
  Returns:
    the handle of the newly inserted file sql. If fails, a null value will be returned.

### insert

    public java.lang.String insert(boolean bUseJDBCODBCBridge,
                                   java.lang.String name,
                                   java.lang.String desc,
                                   java.lang.String url,
                                   java.lang.String driver)

  Inserts a database connection

  Parameters:
    `bUseJDBCODBCBridge` - connected by the JDBC_ODBC bridge.
    `name` - the connection name
    `desc` - the description for the connection
    `url` - The URL used to connect to a database.
  Returns:
    the handle of the newly inserted connection. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String dataSourceName,
                                   boolean bUseJDBCODBCBridge,
                                   java.lang.String name,
                                   java.lang.String desc,
                                   java.lang.String url,
                                   java.lang.String driver)

  Inserts a database connection

  Parameters:
    `dataSourceName` - the data source name
    `bUseJDBCODBCBridge` - connected by the JDBC_ODBC bridge.
    `name` - the connection name
    `desc` - the description for the connection
    `url` - The URL used to connect to a database.
  Returns:
    the handle of the newly inserted connection. If fails, a null value will be returned.

### insert

    public java.lang.String insert(boolean bUseJDBCODBCBridge,
                                   java.lang.String strName,
                                   java.lang.String strDesc,
                                   java.lang.String URL,
                                   java.lang.String DRV,
                                   ConnectionInfo info)

  Inserts a database connection

  Parameters:
    `bUseJDBCODBCBridge` - connected by JDBC_ODBC Bridge.
    `strName` - the connection name
    `strDesc` - the description for the connection
    `URL` - The URL used to connect to a database.
    `DRV` - DB driver used to connect to a database.
    `info` - the connection information
  Returns:
    the handle of the newly inserted connection. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String dataSourceName,
                                   boolean bUseJDBCODBCBridge,
                                   java.lang.String strName,
                                   java.lang.String strDesc,
                                   java.lang.String URL,
                                   java.lang.String DRV,
                                   ConnectionInfo info)

  Inserts a database connection

  Parameters:
    `dataSourceName` - the data source name
    `bUseJDBCODBCBridge` - connected by JDBC_ODBC Bridge.
    `strName` - the connection name
    `strDesc` - the description for the connection
    `URL` - The URL used to connect to a database.
    `DRV` - DB driver used to connect to a database.
    `info` - the connection information
  Returns:
    the handle of the newly inserted connection. If fails, a null value will be returned.

### getConnectionInfo

    public ConnectionInfo getConnectionInfo()

  get connection informations

  Returns:
    connection informations

### getConnectionInfo

    public ConnectionInfo getConnectionInfo(java.lang.String dataSourceName)

  get connection informations

  Parameters:
    `dataSourceName` - the data source name
  Returns:
    connection informations

### insert

    public java.lang.String insert(java.lang.String catalogName,
                                   java.lang.String schemaPattern,
                                   java.lang.String tablePattern,
                                   int type)

  Inserts a table or view into the catalog.

  Parameters:
    `catalogName` - the catalog name
    `schemaPattern` - the schema pattern
    `tablePattern` - the table pattern
    `type` - the table type
  Returns:
    the handle of the newly inserted object. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String catalogName,
                                   java.lang.String schemaPattern,
                                   java.lang.String tablePattern,
                                   int type,
                                   boolean setMappingName)

  Inserts a table or view into the catalog.

  Parameters:
    `catalogName` - the catalog name
    `schemaPattern` - the schema pattern
    `tablePattern` - the table pattern
    `type` - the table type
    `setMappingName` - whether or not set the field name as "tablePattern_fieldName".
  Returns:
    the handle of the newly inserted object. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String tableName,
                                   java.lang.String catalogName,
                                   java.lang.String schemaPattern,
                                   java.lang.String tablePattern,
                                   int type,
                                   boolean setMappingName)

  Inserts a table or view into the catalog.

  Parameters:
    `tableName` - the mapping name of table or view
    `catalogName` - the catalog name
    `schemaPattern` - the schema pattern
    `tablePattern` - the table pattern
    `type` - the table type
    `setMappingName` - whether or not set the field name as "tablePattern_fieldName".
  Returns:
    the handle of the newly inserted object. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String tableName,
                                   java.lang.String catalogName,
                                   java.lang.String schemaPattern,
                                   java.lang.String tablePattern,
                                   int type,
                                   java.lang.String character)

  Inserts a table or view into the catalog.

  Parameters:
    `tableName` - the mapping name of table or view
    `catalogName` - the catalog name
    `schemaPattern` - the schema pattern
    `tablePattern` - the table pattern
    `type` - the table type
    `character` - the character which used to connect table name and fieldName as mapping name (resouce Name) of field.
  Returns:
    the handle of the newly inserted object. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String dataSourceName,
                                   java.lang.String tableName,
                                   java.lang.String catalogName,
                                   java.lang.String schemaPattern,
                                   java.lang.String tablePattern,
                                   int type,
                                   java.lang.String character)

  Inserts a table or view into the catalog.

  Parameters:
    `dataSourceName` - the data source name
    `tableName` - the mapping name of table or view
    `catalogName` - the catalog name
    `schemaPattern` - the schema pattern
    `tablePattern` - the table pattern
    `type` - the table type
    `character` - the character which used to connect table name and fieldName as mapping name (resouce Name) of field.
  Returns:
    the handle of the newly inserted object. If fails, a null value will be returned.

### getPrimaryKeys

    public java.lang.String[] getPrimaryKeys(java.lang.String tablename)

  get Primary keys of table

  Parameters:
    `tablename` - table name String
  Returns:
    array of Primary keys

### getPrimaryKeys

    public java.lang.String[] getPrimaryKeys(java.lang.String dataSourceName,
                                             java.lang.String tablename)

  get Primary keys of table

  Parameters:
    `dataSourceName` - the data source name
    `tablename` - table name String
  Returns:
    array of Primary keys

### getForeignKeys

    public java.lang.String[] getForeignKeys(java.lang.String tablename)

  get foreign keys of the table

  Parameters:
    `tablename` - table name string
  Returns:
    arrayof foreign keys

### getForeignKeys

    public java.lang.String[] getForeignKeys(java.lang.String sourceName,
                                             java.lang.String tablename)

  get foreign keys of the table

  Parameters:
    `sourceName` - the data source name
    `tablename` - table name string
  Returns:
    arrayof foreign keys

### insertCompCol

    public java.lang.String insertCompCol(java.lang.String qryName,
                                          java.lang.String columnName,
                                          java.lang.String sExpression)

  Inserts a computed column into query.

  Parameters:
    `qryName` - the query name
    `columnName` - the resource name of computed column
    `sExpression` - the expression of this column
  Returns:
    the handle of the newly inserted column. If fails, a null value will be returned.

### insertCompCol

    public java.lang.String insertCompCol(java.lang.String dataSourceName,
                                          java.lang.String qryName,
                                          java.lang.String columnName,
                                          java.lang.String sExpression)

  Inserts a computed column into query.

  Parameters:
    `dataSourceName` - the data source name
    `qryName` - the query name
    `columnName` - the resource name of computed column
    `sExpression` - the expression of this column
  Returns:
    the handle of the newly inserted column. If fails, a null value will be returned.

### deleteCompCol

    public boolean deleteCompCol(java.lang.String qryName,
                                 java.lang.String columnName)

  delete a computed column into query.

  Parameters:
    `qryName` - the query name
    `columnName` - the resource name of computed column
  Returns:
    the handle of the newly inserted column. If fails, a null value will be returned.

### deleteCompCol

    public boolean deleteCompCol(java.lang.String dataSourceName,
                                 java.lang.String qryName,
                                 java.lang.String columnName)

  delete a computed column into query.

  Parameters:
    `dataSourceName` - the data source name
    `qryName` - the query name
    `columnName` - the resource name of computed column
  Returns:
    the handle of the newly inserted column. If fails, a null value will be returned.

### setCompCol

    public boolean setCompCol(java.lang.String qryName,
                              java.lang.String columnName,
                              java.lang.String sExpression)

  modify the expression of a computed column .

  Parameters:
    `qryName` - the query name
    `columnName` - the resource name of computed column
    `sExpression` - the expression of this column
  Returns:
    the handle of the newly inserted column. If fails, a null value will be returned.

### setCompCol

    public boolean setCompCol(java.lang.String dataSourceName,
                              java.lang.String qryName,
                              java.lang.String columnName,
                              java.lang.String sExpression)

  modify the expression of a computed column .

  Parameters:
    `dataSourceName` - the data source name
    `qryName` - the query name
    `columnName` - the resource name of computed column
    `sExpression` - the expression of this column
  Returns:
    the handle of the newly inserted column. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String qryName,
                                   QueryFieldInfo queryFieldInfo,
                                   QueryJoinInfo queryJoinInfo,
                                   QueryQBEInfo queryQBEInfo,
                                   QueryAndInfo queryAndInfo)

  Inserts a query into the catalog.

  Parameters:
    `qryName` - the query name
    `queryFieldInfo` - the table and fields information
    `queryJoinInfo` - the join information
    `queryQBEInfo` - the QBE information
    `queryAndInfo` - the where condition information
  Returns:
    the handle of the newly inserted query. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String dataSourceName,
                                   java.lang.String qryName,
                                   QueryFieldInfo queryFieldInfo,
                                   QueryJoinInfo queryJoinInfo,
                                   QueryQBEInfo queryQBEInfo,
                                   QueryAndInfo queryAndInfo)

  Inserts a query into the catalog.

  Parameters:
    `dataSourceName` - the data source name
    `qryName` - the query name
    `queryFieldInfo` - the table and fields information
    `queryJoinInfo` - the join information
    `queryQBEInfo` - the QBE information
    `queryAndInfo` - the where condition information
  Returns:
    the handle of the newly inserted query. If fails, a null value will be returned.

### insertXMLHDS

    public java.lang.String insertXMLHDS(java.lang.String dataSourceName,
                                         java.lang.String name,
                                         java.lang.String xmlPath,
                                         java.lang.String xsdPath)

  insert resource entity into catalog.

  Parameters:
    `dataSourceName` - database name
    `name` - resource name of entity
    `xmlPath` - full file path of imported XML file
    `xsdPath` - full file path of imported XSD file
  Returns:
    handle of resource entity
  Since:
    JReport version 8

### insertClassHDS

    public java.lang.String insertClassHDS(java.lang.String dataSourceName,
                                           java.lang.String name,
                                           java.lang.String classPath,
                                           java.lang.String parameter)

  insert resource entity into catalog.

  Parameters:
    `dataSourceName` - database name
    `name` - resource name of entity
    `classPath` - full file path of imported class file
    `parameter` - parameter value of imported class file
  Returns:
    handle of resource entity
  Since:
    JReport version 8

### deleteQuery

    public boolean deleteQuery(java.lang.String qryName)

  Deletes the query

  Parameters:
    `qryName` - the query name
  Returns:
    ture if deletes successfully, else returns false

### deleteQuery

    public boolean deleteQuery(java.lang.String dataSourceName,
                               java.lang.String qryName)

  Deletes the query

  Parameters:
    `dataSourceName` - the data source name
    `qryName` - the query name
  Returns:
    ture if deletes successfully, else returns false

### delete

    public boolean delete(java.lang.String qryName,
                          java.lang.String tablename)

  Deletes the selected table in the query

  Parameters:
    `qryName` - the query name
    `tablename` - the name of table to be deleted
  Returns:
    ture if deletes successfully, else returns false

### deleteQueryTable

    public boolean deleteQueryTable(java.lang.String dataSourceName,
                                    java.lang.String qryName,
                                    java.lang.String tablename)

  Deletes the selected table in the query

  Parameters:
    `dataSourceName` - the data source name
    `qryName` - the query name
    `tablename` - the name of table to be deleted
  Returns:
    ture if deletes successfully, else returns false

### deleteQueryField

    public boolean deleteQueryField(java.lang.String dataSourceName,
                                    java.lang.String qryName,
                                    java.lang.String tablename,
                                    java.lang.String columnname)

  Deletes the selected fields in the query

  Parameters:
    `dataSourceName` - the data source name
    `qryName` - the name of the query
    `tablename` - the table name of the deleted field
    `columnname` - the column name of the deleted field
  Returns:
    ture if deletes successfully, else returns false

### delete

    public boolean delete(java.lang.String qryName,
                          java.lang.String tableFrom,
                          java.lang.String columnFrom,
                          java.lang.String operator,
                          java.lang.String tableTo,
                          java.lang.String columnTo)

  Deletes joins in the query

  Parameters:
    `qryName` - the query name
    `tableFrom` - the name of the table from which the join links
    `columnFrom` - the name of the column from which the join links
    `tableTo` - the name of the table to which the join links
    `columnTo` - the name of the column to which the join links
    `operator` - the operator of the join to be deleted
  Returns:
    ture if deletes successfully, else returns false

### delete

    public boolean delete(java.lang.String dataSourceName,
                          java.lang.String qryName,
                          java.lang.String tableFrom,
                          java.lang.String columnFrom,
                          java.lang.String operator,
                          java.lang.String tableTo,
                          java.lang.String columnTo)

  Deletes joins in the query

  Parameters:
    `dataSourceName` - the data source name
    `qryName` - the query name
    `tableFrom` - the name of the table from which the join links
    `columnFrom` - the name of the column from which the join links
    `tableTo` - the name of the table to which the join links
    `columnTo` - the name of the column to which the join links
    `operator` - the operator of the join to be deleted
  Returns:
    ture if deletes successfully, else returns false

### delete

    public boolean delete(java.lang.String qryName,
                          java.lang.String tablename,
                          java.lang.String columnname,
                          java.lang.String expression)

  Deletes the QBE condition in the query

  Parameters:
    `qryName` - the query name
    `tablename` - the name of the table where the QBE condition is
    `columnname` - the name of the column where the QBE condition is
    `expression` - the expression of the QBE condition
  Returns:
    ture if deletes successfully, else returns false

### deleteQBE

    public boolean deleteQBE(java.lang.String dataSourceName,
                             java.lang.String qryName,
                             java.lang.String tablename,
                             java.lang.String columnname,
                             java.lang.String expression)

  Deletes the QBE condition in the query

  Parameters:
    `dataSourceName` - the data source name
    `qryName` - the query name
    `tablename` - the name of the table where the QBE condition is
    `columnname` - the name of the column where the QBE condition is
    `expression` - the expression of the QBE condition
  Returns:
    ture if deletes successfully, else returns false

### delete

    public boolean delete(java.lang.String qryName,
                          java.lang.String sExpression1,
                          java.lang.String sOperator,
                          java.lang.String sExpression2,
                          java.lang.String sLogic)

  Deletes where conditions in the query

  Parameters:
    `qryName` - the query name
    `sLogic` - the logic string of the where condition to be deleted
    `sExpression1` - the first expression of the where condition to be deleted
    `sOperator` - the operator of the where condition to be deleted
    `sExpression2` - the second expression of the where condition to be deleted
  Returns:
    ture if deletes successfully, else returns false

### deleteCondition

    public boolean deleteCondition(java.lang.String dataSourceName,
                                   java.lang.String qryName,
                                   java.lang.String sExpression1,
                                   java.lang.String sOperator,
                                   java.lang.String sExpression2,
                                   java.lang.String sLogic)

  Deletes where conditions in the query

  Parameters:
    `dataSourceName` - the data source name
    `qryName` - the query name
    `sLogic` - the logic string of the where condition to be deleted
    `sExpression1` - the first expression of the where condition to be deleted
    `sOperator` - the operator of the where condition to be deleted
    `sExpression2` - the second expression of the where condition to be deleted
  Returns:
    ture if deletes successfully, else returns false

### delete

    public boolean delete(java.lang.String qryName,
                          UnionInfo info)

  Deletes union query in a query

  Parameters:
    `qryName` - the query name
    `info` - the information of the union query to be deleted
  Returns:
    ture if deletes successfully, else returns false

### delete

    public boolean delete(java.lang.String dataSourceName,
                          java.lang.String qryName,
                          UnionInfo info)

  Deletes union query in a query

  Parameters:
    `dataSourceName` - the data source name
    `qryName` - the query name
    `info` - the information of the union query to be deleted
  Returns:
    ture if deletes successfully, else returns false

### delete

    public boolean delete(java.lang.String qryName,
                          java.lang.String unionQuery,
                          boolean unionAll)

  Deletes union query in a query

  Parameters:
    `qryName` - the query name
    `unionQuery` - the name of the union query to be deleted
    `unionAll` - the "unionAll" status of the union query to be deleted
  Returns:
    ture if deletes successfully, else returns false

### deleteUnionQuery

    public boolean deleteUnionQuery(java.lang.String dataSourceName,
                                    java.lang.String qryName,
                                    java.lang.String unionQuery,
                                    boolean unionAll)

  Deletes union query in a query

  Parameters:
    `dataSourceName` - the data source name
    `qryName` - the query name
    `unionQuery` - the name of the union query to be deleted
    `unionAll` - the "unionAll" status of the union query to be deleted
  Returns:
    ture if deletes successfully, else returns false

### setQueryTable

    public boolean setQueryTable(java.lang.String qryName,
                                 java.lang.String tablename,
                                 boolean selectAllFields)

  Adds a new table to the query

  Parameters:
    `qryName` - the query name
    `tablename` - the name of table to be inserted
    `selectAllFields` - whether inserts the table with all its fields
  Returns:
    ture if inserts successfully, else returns false

### setQueryTable

    public boolean setQueryTable(java.lang.String dataSourceName,
                                 java.lang.String qryName,
                                 java.lang.String tablename,
                                 boolean selectAllFields)

  Adds a new table to the query

  Parameters:
    `dataSourceName` - the data source name
    `qryName` - the query name
    `tablename` - the name of table to be inserted
    `selectAllFields` - whether inserts the table with all its fields
  Returns:
    ture if inserts successfully, else returns false

### set

    public boolean set(java.lang.String dataSourceName,
                       java.lang.String qryName,
                       java.lang.String tablename,
                       java.lang.String columnname,
                       boolean isFormula)

  Adds a new field to the query

  Parameters:
    `dataSourceName` - the data source name
    `qryName` - the query name
    `tablename` - the name of the table where the field is
    `isFormula` - whether the field to be inserted is a formula
  Returns:
    ture if inserts successfully, else returns false

### set

    public boolean set(java.lang.String qryName,
                       JoinInfo joinInfo)

  Adds a new join to the query

  Parameters:
    `qryName` - the query name
    `joinInfo` - join infomation
  Returns:
    ture if inserts successfully, else returns false

### set

    public boolean set(java.lang.String dataSourceName,
                       java.lang.String qryName,
                       JoinInfo joinInfo)

  Adds a new join to the query

  Parameters:
    `dataSourceName` - the data source name
    `qryName` - the query name
    `joinInfo` - join infomation
  Returns:
    ture if inserts successfully, else returns false

### set

    public boolean set(java.lang.String qryName,
                       java.lang.String tableFrom,
                       java.lang.String columnFrom,
                       java.lang.String operator,
                       java.lang.String tableTo,
                       java.lang.String columnTo)

  Adds a new join to the query

  Parameters:
    `qryName` - the query name
    `tableFrom` - the name of the tabe from which the join links
    `columnFrom` - the name of the column from which the join links
    `tableTo` - the name of the table to which the join links
    `columnTo` - the name of the column to which the join links
    `operator` - operator of the join to be inserted
  Returns:
    ture if inserts successfully, else returns false

### setJoin

    public boolean setJoin(java.lang.String dataSourceName,
                           java.lang.String qryName,
                           java.lang.String tableFrom,
                           java.lang.String columnFrom,
                           java.lang.String operator,
                           java.lang.String tableTo,
                           java.lang.String columnTo)

  Adds a new join to the query

  Parameters:
    `dataSourceName` - the data source name
    `qryName` - the query name
    `tableFrom` - the name of the tabe from which the join links
    `columnFrom` - the name of the column from which the join links
    `tableTo` - the name of the table to which the join links
    `columnTo` - the name of the column to which the join links
    `operator` - operator of the join to be inserted
  Returns:
    ture if inserts successfully, else returns false

### setDistinctQuery

    public boolean setDistinctQuery(java.lang.String dataSourceName,
                                    java.lang.String queryName,
                                    boolean isDisTinct)

  set the distinct status of query

  Parameters:
    `dataSourceName` - the data source name
    `queryName` - the query name
    `isDisTinct` - set distinct select query or not
  Returns:
    ture if set parameter successfully, else returns false

### isDistinctQuery

    public boolean isDistinctQuery(java.lang.String dataSourceName,
                                   java.lang.String queryName)

  set the distinct status of query

  Parameters:
    `dataSourceName` - the data source name
    `queryName` - the query name
  Returns:
    ture if query is defined as distinct selceted.

### set

    public boolean set(java.lang.String qryName,
                       java.lang.String tableFrom,
                       java.lang.String columnFrom,
                       java.lang.String operator,
                       java.lang.String tableTo,
                       java.lang.String columnTo,
                       boolean isSQL92,
                       int outerJoin)

  Adds a new join to the query

  Parameters:
    `qryName` - the query name
    `tableFrom` - the name of the tabe from which the join links
    `columnFrom` - the name of the column from which the join links
    `tableTo` - the name of the table to which the join links
    `columnTo` - the name of the column to which the join links
    `operator` - operator of the join to be inserted
    `isSQL92` - whether this join sentance apply SQL92 standard
    `outerJoin` - the type of outer join
  Returns:
    ture if inserts successfully, else returns false

### set

    public boolean set(java.lang.String dataSourceName,
                       java.lang.String qryName,
                       java.lang.String tableFrom,
                       java.lang.String columnFrom,
                       java.lang.String operator,
                       java.lang.String tableTo,
                       java.lang.String columnTo,
                       boolean isSQL92,
                       int outerJoin)

  Adds a new join to the query

  Parameters:
    `dataSourceName` - the data source name
    `qryName` - the query name
    `tableFrom` - the name of the tabe from which the join links
    `columnFrom` - the name of the column from which the join links
    `tableTo` - the name of the table to which the join links
    `columnTo` - the name of the column to which the join links
    `operator` - operator of the join to be inserted
    `isSQL92` - whether this join sentance apply SQL92 standard
    `outerJoin` - the type of outer join
  Returns:
    ture if inserts successfully, else returns false

### set

    public boolean set(java.lang.String qryName,
                       QBEInfo qbeInfo)

  Adds QBE condition to the query

  Parameters:
    `qryName` - the query name
    `qbeInfo` - QBE infomation
  Returns:
    ture if inserts successfully, else returns false

### set

    public boolean set(java.lang.String qryName,
                       java.lang.String tablename,
                       java.lang.String columnname,
                       java.lang.String expression)

  Adds a new QBE condition to the query

  Parameters:
    `qryName` - the query name
    `tablename` - the name of the table where the QBE condition will be added
    `columnname` - the name of the column where the QBE condition will be added
    `expression` - the expression of the QBE condition
  Returns:
    ture if inserts successfully, else returns false

### setQBE

    public boolean setQBE(java.lang.String dataSourceName,
                          java.lang.String qryName,
                          java.lang.String tablename,
                          java.lang.String columnname,
                          java.lang.String expression)

  Adds a new QBE condition to the query

  Parameters:
    `dataSourceName` - the data source name
    `qryName` - the query name
    `tablename` - the name of the table where the QBE condition will be added
    `columnname` - the name of the column where the QBE condition will be added
    `expression` - the expression of the QBE condition
  Returns:
    ture if inserts successfully, else returns false

### getUnionableQueries

    public java.lang.String[] getUnionableQueries(java.lang.String queryname)

  get query names that can be unioned to this query

  Parameters:
    `queryname` - query name to be unioned
  Returns:
    query names array

### getUnionableQueries

    public java.lang.String[] getUnionableQueries(java.lang.String dataSourceName,
                                                  java.lang.String queryname)

  get query names that can be unioned to this query

  Parameters:
    `dataSourceName` - the data source name
    `queryname` - query name to be unioned
  Returns:
    query names array

### getUnionInfos

    public UnionInfos getUnionInfos(java.lang.String queryName)

  Gets union query information of a specified query

  Parameters:
    `queryName` - query name
  Returns:
    union query infomations

### getUnionInfos

    public UnionInfos getUnionInfos(java.lang.String dataSourceName,
                                    java.lang.String queryName)

  Gets union query information of a specified query

  Parameters:
    `dataSourceName` - the data source name
    `queryName` - query name
  Returns:
    union query infomations

### getUnionQueries

    public java.lang.String[] getUnionQueries(java.lang.String queryName)

  Gets unioned query names of a specified query

  Parameters:
    `queryName` - query name
  Returns:
    union query infomations

### getUnionQueries

    public java.lang.String[] getUnionQueries(java.lang.String dataSourceName,
                                              java.lang.String queryName)

  Gets unioned query names of a specified query

  Parameters:
    `dataSourceName` - the data source name
    `queryName` - query name
  Returns:
    union query names array

### getUnionQueries

    public java.lang.String[] getUnionQueries(java.lang.String queryName,
                                              boolean isUnionAll)

  Gets unioned query names of a specified query according to union status

  Parameters:
    `queryName` - query name
    `isUnionAll` - to indicate the union status
  Returns:
    union query infomations

### getUnionQueries

    public java.lang.String[] getUnionQueries(java.lang.String dataSourceName,
                                              java.lang.String queryName,
                                              boolean isUnionAll)

  Gets unioned query names of a specified query according to union status

  Parameters:
    `dataSourceName` - the data source name
    `queryName` - query name
    `isUnionAll` - to indicate the union status
  Returns:
    union query infomations

### set

    public boolean set(java.lang.String qryName,
                       SubQueryInfo subqueryInfo)

  Adds a subquery in to the query

  Parameters:
    `qryName` - the query name
    `subqueryInfo` - sub query information
  Returns:
    ture if inserts successfully, else returns false

### set

    public boolean set(java.lang.String dataSourceName,
                       java.lang.String qryName,
                       SubQueryInfo subqueryInfo)

  Adds a subquery in to the query

  Parameters:
    `dataSourceName` - the data source name
    `qryName` - the query name
    `subqueryInfo` - sub query information
  Returns:
    ture if inserts successfully, else returns false

### set

    public boolean set(java.lang.String qryName,
                       UnionInfo unionInfo)

  Adds a union query in to the query

  Parameters:
    `qryName` - the query name
    `unionInfo` - union query information
  Returns:
    ture if inserts successfully, else returns false

### set

    public boolean set(java.lang.String dataSourceName,
                       java.lang.String qryName,
                       UnionInfo unionInfo)

  Adds a union query in to the query

  Parameters:
    `dataSourceName` - the data source name
    `qryName` - the query name
    `unionInfo` - union query information
  Returns:
    ture if inserts successfully, else returns false

### set

    public boolean set(java.lang.String qryName,
                       AndInfo andInfo)

  Adds a new and condition to the query

  Parameters:
    `qryName` - the query name
    `andInfo` - "And" infomation
  Returns:
    ture if inserts successfully, else returns false

### set

    public boolean set(java.lang.String dataSourceName,
                       java.lang.String qryName,
                       AndInfo andInfo)

  Adds a new and condition to the query

  Parameters:
    `dataSourceName` - the data source name
    `qryName` - the query name
    `andInfo` - "And" infomation
  Returns:
    ture if inserts successfully, else returns false

### set

    public boolean set(java.lang.String qryName,
                       java.lang.String sExpression1,
                       java.lang.String sOperator,
                       java.lang.String sExpression2,
                       java.lang.String sLogic)

  Adds a new where condition to the query

  Parameters:
    `qryName` - the query name
    `sLogic` - the logic string of the where condition to be inserted
    `sExpression1` - the first expression of the where condition to be inserted
    `sOperator` - the operator of the where condition to be inserted
    `sExpression2` - the second expression of the where condition to be inserted
  Returns:
    ture if inserts successfully, else returns false

### setCondition

    public boolean setCondition(java.lang.String dataSourceName,
                                java.lang.String qryName,
                                java.lang.String sExpression1,
                                java.lang.String sOperator,
                                java.lang.String sExpression2,
                                java.lang.String sLogic)

  Adds a new where condition to the query

  Parameters:
    `dataSourceName` - the data source name
    `qryName` - the query name
    `sLogic` - the logic string of the where condition to be inserted
    `sExpression1` - the first expression of the where condition to be inserted
    `sOperator` - the operator of the where condition to be inserted
    `sExpression2` - the second expression of the where condition to be inserted
  Returns:
    ture if inserts successfully, else returns false

### set

    public boolean set(java.lang.String handle,
                       ParameterInfo info)

  Sets parameter information

  Parameters:
    `handle` - the parameter handle
    `info` - parameter infomation
  Returns:
    ture if inserts successfully, else returns false

### checkParam

    public boolean checkParam(ParameterInfo info)

  check whether the parameter is valid or not

  Returns:
    true if the parameter is valid

### getParameterInfo

    public ParameterInfo getParameterInfo(java.lang.String handle)

  get paramter information

  Parameters:
    `handle` - handle of parameter
  Returns:
    paraneter information

### getSummaryInfo

    public SummaryInfo getSummaryInfo(java.lang.String handle)

  get summary information

  Parameters:
    `handle` - handle of summary
  Returns:
    summary information

### getFormulaInfo

    public FormulaInfo getFormulaInfo(java.lang.String handle)

  get formula information

  Parameters:
    `handle` - handle of formula
  Returns:
    formula information

### set

    public boolean set(java.lang.String handle,
                       SummaryInfo info)

  Sets summary information

  Parameters:
    `handle` - the summary handle
    `info` - summary infomation
  Returns:
    ture if inserts successfully, else returns false

### set

    public boolean set(java.lang.String handle,
                       FormulaInfo info)

  Sets formula information

  Parameters:
    `handle` - the formula handle
    `info` - formula infomation
  Returns:
    ture if inserts successfully, else returns false

### parseFormulae

    public java.lang.String parseFormulae()

  parse formulae in the database

  Returns:
    null if is sccessful, else returns error prompt text

### parseFormulae

    public java.lang.String parseFormulae(java.lang.String dataSourceName)

  parse formulae in the database

  Parameters:
    `dataSourceName` - the data source name
  Returns:
    null if is sccessful, else returns error prompt text

### parseFormula

    public java.lang.String parseFormula(java.lang.String dataSourceName,
                                         FormulaInfo info)

  parse the formula in the database

  Parameters:
    `dataSourceName` - the data source name
    `info` - formula infomation
  Returns:
    null if is sccessful, else returns error prompt text

### isNameExist

    public boolean isNameExist(java.lang.String name)

  judge whether the resource entity has existed in the catalog

  Parameters:
    `name` - resource entity name
  Returns:
    true if the name has existed

### isNameExist

    public boolean isNameExist(java.lang.String dataSourceName,
                               java.lang.String name)

  judge whether the resource entity has existed in the catalog

  Parameters:
    `dataSourceName` - the data source name
    `name` - resource entity name
  Returns:
    true if the name has existed

### delete

    public boolean delete(java.lang.String handle)

  Deletes an object from its parent node.

  Specified by:
    `delete` in class `API`
  Parameters:
    `handle` - the handle of the object to be deleted
  Returns:
    true if an object is removed from its parent node. Otherwise returns false.

### getDBFields

    public java.lang.String[] getDBFields(java.lang.String qryName)

  Gets DBFields that can be used in the query.

  Parameters:
    `qryName` - the query name
  Returns:
    the mapping name array

### getDBFields

    public java.lang.String[] getDBFields(java.lang.String dataSourceName,
                                          java.lang.String qryName)

  Gets DBFields that can be used in the query.

  Parameters:
    `dataSourceName` - the data source name
    `qryName` - the query name
  Returns:
    the mapping name array

### getFormulae

    public java.lang.String[] getFormulae()

  Gets formulae that can be used in the catalog.

  Returns:
    the mapping name array

### getFormulae

    public java.lang.String[] getFormulae(java.lang.String dataSourceName)

  Gets formulae that can be used in the catalog.

  Parameters:
    `dataSourceName` - the data source name
  Returns:
    the mapping name array

### getSummaries

    public java.lang.String[] getSummaries()

  Gets summaries that can be used in the catalog.

  Returns:
    the mapping name array

### getSummaries

    public java.lang.String[] getSummaries(java.lang.String dataSourceName)

  Gets summaries that can be used in the catalog.

  Parameters:
    `dataSourceName` - the data source name
  Returns:
    the mapping name array

### getSQLs

    public java.lang.String[] getSQLs()

  Gets all SQL files in the catalog.

  Returns:
    the mapping name array

### getSQLs

    public java.lang.String[] getSQLs(java.lang.String dataSourceName)

  Gets all SQL files in the catalog.

  Parameters:
    `dataSourceName` - the data source name
  Returns:
    the mapping name array

### getSQLColumns

    public java.lang.String[] getSQLColumns(java.lang.String sqlname)

  Gets all cloumn names of file SQL

  Parameters:
    `sqlname` - file SQL name
  Returns:
    the real name array

### getSQLColumns

    public java.lang.String[] getSQLColumns(java.lang.String dataSourceName,
                                            java.lang.String sqlname)

  Gets all cloumn names of file SQL

  Parameters:
    `dataSourceName` - the data source name
    `sqlname` - file SQL name
  Returns:
    the real name array

### getSQLColumnsMap

    public java.lang.String[] getSQLColumnsMap(java.lang.String sqlname)

  Gets all cloumn mapping names of the file SQL

  Parameters:
    `sqlname` - file SQL name
  Returns:
    the mapping name array

### getSQLColumnsMap

    public java.lang.String[] getSQLColumnsMap(java.lang.String dataSourceName,
                                               java.lang.String sqlname)

  Gets all cloumn mapping names of the file SQL

  Parameters:
    `dataSourceName` - the data source name
    `sqlname` - file SQL name
  Returns:
    the mapping name array

### getUDSs

    public java.lang.String[] getUDSs()

  Gets all UDSs in the catalog.

  Returns:
    the mapping name array

### getUDSs

    public java.lang.String[] getUDSs(java.lang.String dataSourceName)

  Gets all UDSs in the catalog.

  Parameters:
    `dataSourceName` - the data source name
  Returns:
    the mapping name array

### getHDSs

    public java.lang.String[] getHDSs()

  Gets all HDS in the default database of catalog.

  Returns:
    the mapping name array

### getHDSs

    public java.lang.String[] getHDSs(java.lang.String dataSourceName)

  Gets all HDS in the specified database of catalog.

  Parameters:
    `dataSourceName` - the data source name
  Returns:
    the mapping name array

### getUDSColumns

    public java.lang.String[] getUDSColumns(java.lang.String udsname)

  Gets all cloumns name of UDS

  Parameters:
    `udsname` - UDS name
  Returns:
    the real name array

### getUDSColumns

    public java.lang.String[] getUDSColumns(java.lang.String dataSourceName,
                                            java.lang.String udsname)

  Gets all cloumns name of UDS

  Parameters:
    `dataSourceName` - the data source name
    `udsname` - UDS name
  Returns:
    the real name array

### getUDSColumnsMap

    public java.lang.String[] getUDSColumnsMap(java.lang.String udsname)

  Gets all cloumns mapping name of UDS

  Parameters:
    `udsname` - UDS name
  Returns:
    the mapping name array

### getUDSColumnsMap

    public java.lang.String[] getUDSColumnsMap(java.lang.String dataSourceName,
                                               java.lang.String udsname)

  Gets all cloumns mapping name of UDS

  Parameters:
    `dataSourceName` - the data source name
    `udsname` - UDS name
  Returns:
    the mapping name array

### getProcedureNames

    public java.lang.String[] getProcedureNames()

  Gets all stored procedures in the catalog.

  Returns:
    the mapping name array

### getProcedureNames

    public java.lang.String[] getProcedureNames(java.lang.String dataSourceName)

  Gets all stored procedures in the catalog.

  Parameters:
    `dataSourceName` - the data source name
  Returns:
    the mapping name array

### getProcColumns

    public java.lang.String[] getProcColumns(java.lang.String procedureName)

  Gets all cloumn names of stored procedures

  Parameters:
    `procedureName` - procedure name
  Returns:
    the real name array

### getProcColumns

    public java.lang.String[] getProcColumns(java.lang.String dataSourceName,
                                             java.lang.String procedureName)

  Gets all cloumn names of stored procedures

  Parameters:
    `dataSourceName` - the data source name
    `procedureName` - procedure name
  Returns:
    the real name array

### getProcColumnsMap

    public java.lang.String[] getProcColumnsMap(java.lang.String proceName)

  Gets all cloumn mapping names of stored procedures

  Parameters:
    `proceName` - procedure name
  Returns:
    the mapping name array

### getProcColumnsMap

    public java.lang.String[] getProcColumnsMap(java.lang.String dataSourceName,
                                                java.lang.String proceName)

  Gets all cloumn mapping names of stored procedures

  Parameters:
    `dataSourceName` - the data source name
    `proceName` - procedure name
  Returns:
    the mapping name array

### getParameter

    public java.lang.String[] getParameter()

  Gets parameters in the catalog.

  Returns:
    the mapping name array

### getParameter

    public java.lang.String[] getParameter(java.lang.String dataSourceName)

  Gets parameters in the catalog.

  Parameters:
    `dataSourceName` - the data source name
  Returns:
    the mapping name array

### getQueries

    public java.lang.String[] getQueries()

  Gets queries in the catalog.

  Returns:
    the mapping name array

### getQueries

    public java.lang.String[] getQueries(java.lang.String dataSourceName)

  Gets queries in the specified database.

  Parameters:
    `dataSourceName` - the data source name
  Returns:
    the mapping name array

### getTables

    public java.lang.String[] getTables()

  Gets tables and views in the connection

  Returns:
    the mapping name array

### getTables

    public java.lang.String[] getTables(java.lang.String dataSourceName)

  Gets tables and views in the connection of specified database

  Parameters:
    `dataSourceName` - the data source name
  Returns:
    the mapping name array

### getTableColumns

    public java.lang.String[] getTableColumns(java.lang.String tablename)

  Gets all cloumn names of the table

  Parameters:
    `tablename` - the table name
  Returns:
    the real name array

### getTableColumns

    public java.lang.String[] getTableColumns(java.lang.String tablename,
                                              boolean isMapping)

  Gets all cloumn names of the table

  Parameters:
    `tablename` - the table name
    `isMapping` - whether the tablename is mapping name or real name
  Returns:
    the real name array

### getTableColumns

    public java.lang.String[] getTableColumns(java.lang.String dataSourceName,
                                              java.lang.String tablename)

  Gets all cloumn names of the table

  Parameters:
    `dataSourceName` - the data source name
    `tablename` - the table name
  Returns:
    the real name array

### getTableColumns

    public java.lang.String[] getTableColumns(java.lang.String dataSourceName,
                                              java.lang.String tablename,
                                              boolean isMapping)

  Gets all cloumn names of the table

  Parameters:
    `dataSourceName` - the data source name
    `tablename` - the table name
    `isMapping` - whether the tablename is mapping name or real name
  Returns:
    the real name array

### getTableColumnsMap

    public java.lang.String[] getTableColumnsMap(java.lang.String tablename)

  Gets all cloumn mapping names of table

  Parameters:
    `tablename` - the table name
  Returns:
    the mapping name array

### getTableColumnsMap

    public java.lang.String[] getTableColumnsMap(java.lang.String tablename,
                                                 boolean isMapping)

  Gets all cloumn mapping names of table

  Parameters:
    `tablename` - the table name
    `isMapping` - whether the tablename is mapping name or real name
  Returns:
    the mapping name array

### getTableColumnsMap

    public java.lang.String[] getTableColumnsMap(java.lang.String dataSourceName,
                                                 java.lang.String tablename)

  Gets all cloumn mapping names of table

  Parameters:
    `dataSourceName` - the data source name
    `tablename` - the table name
  Returns:
    the mapping name array

### getTableColumnsMap

    public java.lang.String[] getTableColumnsMap(java.lang.String dataSourceName,
                                                 java.lang.String tablename,
                                                 boolean isMapping)

  Gets all cloumn mapping names of table

  Parameters:
    `dataSourceName` - the data source name
    `tablename` - the table name
    `isMapping` - the tablename is mapping name or real name.
  Returns:
    the mapping name array

### getSPFields

    public java.lang.String[] getSPFields(java.lang.String dataSourceName,
                                          java.lang.String spName,
                                          boolean isMapping)

  get the specified store procedure's fields real field name

  Parameters:
    `dataSourceName` - the data source name
    `spName` - the store procedure name
    `isMapping` - the store procedure name (spName) is mapping name or real name.
  Returns:
    the real name array

### getSPFieldsMap

    public java.lang.String[] getSPFieldsMap(java.lang.String dataSourceName,
                                             java.lang.String spName,
                                             boolean isMapping)

  get the specified store procedure's fields mapping name

  Parameters:
    `dataSourceName` - the data source name
    `spName` - the store procedure name
    `isMapping` - the store procedure name (spName) is mapping name or real name.
  Returns:
    the real name array

### getTables

    public java.lang.String[] getTables(boolean bIncludeSystemTable)

  Gets tables and views in the data source

  Returns:
    the name array

### getTables

    public java.lang.String[] getTables(java.lang.String dataSourceName,
                                        boolean bIncludeSystemTable)

  Gets tables and views in the data source

  Parameters:
    `dataSourceName` - the data source name
  Returns:
    the name array

### getColumns

    public QueryTableInfo getColumns(java.lang.String queryName,
                                     boolean allColumns)

  Gets columns in the query

  Parameters:
    `queryName` - the query name
    `allColumns` - select all columns in selected tables
  Returns:
    table name and column names

### getColumns

    public QueryTableInfo getColumns(java.lang.String dataSourceName,
                                     java.lang.String queryName,
                                     boolean allColumns)

  Gets columns in the query

  Parameters:
    `dataSourceName` - the data source name
    `queryName` - the query name
    `allColumns` - select all columns in selected tables
  Returns:
    table name and column names

### getMapColumns

    public QueryTableInfo getMapColumns(java.lang.String queryName)

  get table and column infomation of this query

  Parameters:
    `queryName` - query name string
  Returns:
    query table infomation

### getMapColumns

    public QueryTableInfo getMapColumns(java.lang.String dataSourceName,
                                        java.lang.String queryName)

  get table and column infomation of this query

  Parameters:
    `dataSourceName` - the data source name
    `queryName` - query name string
  Returns:
    query table infomation

### getCompColumns

    public java.lang.String[] getCompColumns(java.lang.String queryName)

  Gets computed columns in the query

  Parameters:
    `queryName` - the query name
  Returns:
    computed column names

### getCompColumns

    public java.lang.String[] getCompColumns(java.lang.String dataSourceName,
                                             java.lang.String queryName)

  Gets computed columns in the query

  Parameters:
    `dataSourceName` - the data source name
    `queryName` - the query name
  Returns:
    computed column names

### getCompColumnHandles

    public java.lang.String[] getCompColumnHandles(java.lang.String dataSourceName,
                                                   java.lang.String queryName)

  Gets computed column handles in the query

  Parameters:
    `dataSourceName` - the data source name
    `queryName` - the query name
  Returns:
    computed column handles

### getJoins

    public java.lang.String[][] getJoins(java.lang.String queryName)

  Deprecated.Gets joins in the query

  Parameters:
    `queryName` - the query name
  Returns:
    join info array. note: String[i][0] = Table "From" Name, String[i][1] = Column "From" Name, String[i][2] = Table "To" Name, String[i][3] = Column "To" Name String[i][4] = operator String[i][5] = string value of isSQL92 String[i][6] = string value of outer join type

### getJoins

    public java.lang.String[][] getJoins(java.lang.String dataSourceName,
                                         java.lang.String queryName)

  Deprecated.Gets joins in the query

  Parameters:
    `dataSourceName` - the data source name
    `queryName` - the query name
  Returns:
    join info array. note: String[i][0] = Table "From" Name, String[i][1] = Column "From" Name, String[i][2] = Table "To" Name, String[i][3] = Column "To" Name String[i][4] = operator String[i][5] = string value of isSQL92 String[i][6] = string value of outer join type

### getJoinInfos

    public JoinInfo[] getJoinInfos(java.lang.String queryName)

  Gets joins in the query

  Parameters:
    `queryName` - the query name
  Returns:
    joinInfo object

### getJoinInfos

    public JoinInfo[] getJoinInfos(java.lang.String dataSourceName,
                                   java.lang.String queryName)

  Gets joins in the query

  Parameters:
    `dataSourceName` - the data source name
    `queryName` - the query name
  Returns:
    joinInfo object

### getQBEInfo

    public java.lang.String[][] getQBEInfo(java.lang.String queryName)

  Deprecated.Gets QBE infomation in the query

  Parameters:
    `queryName` - the query name
  Returns:
    QBE info array note:String[i][0] = table Name, String[i][1] = column Name, String[i][j](j>1) = condition expression of this column,

### getQBEInfo

    public java.lang.String[][] getQBEInfo(java.lang.String dataSourceName,
                                           java.lang.String queryName)

  Deprecated.Gets QBE infomation in the query

  Parameters:
    `dataSourceName` - the data source name
    `queryName` - the query name
  Returns:
    QBE info array note:String[i][0] = table Name, String[i][1] = column Name, String[i][j](j>1) = condition expression of this column,

### getQBEInfos

    public QBEInfo[] getQBEInfos(java.lang.String queryName)

  get "QBE" condition infomation of the query

  Parameters:
    `queryName` - query Name
  Returns:
    QBEInfos array

### getQBEInfos

    public QBEInfo[] getQBEInfos(java.lang.String dataSourceName,
                                 java.lang.String queryName)

  get "QBE" condition infomation of the query

  Parameters:
    `queryName` - query Name
  Returns:
    QBEInfos array

### getSubQueries

    public java.lang.String[] getSubQueries(java.lang.String queryName)

  get "sub-query" conditions infomation of the query

  Parameters:
    `queryName` - query Name
  Returns:
    sub-query name array

### getSubQueries

    public java.lang.String[] getSubQueries(java.lang.String dataSourceName,
                                            java.lang.String queryName)

  get "sub-query" conditions infomation of the query

  Parameters:
    `dataSourceName` - the data source name
    `queryName` - query Name
  Returns:
    sub-query name array

### getAndConditions

    public java.lang.String[][] getAndConditions(java.lang.String queryName)

  Deprecated.Gets "AND" conditions in the query

  Parameters:
    `queryName` - the query name
  Returns:
    condition info array. note: String[i][0] = "Logic" String[i][1] = "Expression1", String[i][2] = "Operator", String[i][3] = "Expression2"

### getAndConditions

    public java.lang.String[][] getAndConditions(java.lang.String dataSourceName,
                                                 java.lang.String queryName)

  Deprecated.Gets "AND" conditions in the query

  Parameters:
    `dataSourceName` - the data source name
    `queryName` - the query name
  Returns:
    condition info array. note: String[i][0] = "Logic" String[i][1] = "Expression1", String[i][2] = "Operator", String[i][3] = "Expression2"

### getAndInfos

    public AndInfo[] getAndInfos(java.lang.String queryName)

  get "And" condition infomations of the query

  Parameters:
    `queryName` - query Name
  Returns:
    AndInfos array

### getAndInfos

    public AndInfo[] getAndInfos(java.lang.String dataSourceName,
                                 java.lang.String queryName)

  get "And" condition infomations of the query

  Parameters:
    `dataSourceName` - the data source name
    `queryName` - query Name
  Returns:
    AndInfos array

### getColumnMappingnames

    public java.lang.String[] getColumnMappingnames(java.lang.String queryName)

  Gets column mapping names in the query

  Parameters:
    `queryName` - the query name
  Returns:
    the table name and column mapping names

### getColumnMappingnames

    public java.lang.String[] getColumnMappingnames(java.lang.String dataSourceName,
                                                    java.lang.String queryName)

  Gets column mapping names in the query

  Parameters:
    `dataSourceName` - the data source name
    `queryName` - the query name
  Returns:
    the table name and column mapping names

### getColumnsCanBeGroupedBy

    public QueryTableInfo getColumnsCanBeGroupedBy(java.lang.String queryName)

  Gets columns which can be grouped by in the query

  Parameters:
    `queryName` - the query name
  Returns:
    the column mapping names

### getColumnsCanBeGroupedBy

    public QueryTableInfo getColumnsCanBeGroupedBy(java.lang.String dataSourceName,
                                                   java.lang.String queryName)

  Gets columns which can be grouped by in the query

  Parameters:
    `dataSourceName` - the data source name
    `queryName` - the query name
  Returns:
    the column mapping names

### getFormulaeForQuery

    public java.lang.String[] getFormulaeForQuery(java.lang.String queryName)

  Gets formulae which are valid to the query

  Parameters:
    `queryName` - the query name
  Returns:
    the formula names

### getFormulaeForQuery

    public java.lang.String[] getFormulaeForQuery(java.lang.String dataSourceName,
                                                  java.lang.String queryName)

  Gets formulae which are valid to the query

  Parameters:
    `dataSourceName` - the data source name
    `queryName` - the query name
  Returns:
    the formula names

### getSummariesForQuery

    public java.lang.String[] getSummariesForQuery(java.lang.String queryName)

  Gets Summaries which are valid to the query

  Parameters:
    `queryName` - the query name
  Returns:
    the Summary names

### getSummariesForQuery

    public java.lang.String[] getSummariesForQuery(java.lang.String dataSourceName,
                                                   java.lang.String queryName)

  Gets Summaries which are valid to the query

  Parameters:
    `dataSourceName` - the data source name
    `queryName` - the query name
  Returns:
    the Summary names

### getFormulaeCanBeGroupedBy

    public java.lang.String[] getFormulaeCanBeGroupedBy(java.lang.String queryName)

  Gets formulae which are valid to the query and can be grouped on

  Parameters:
    `queryName` - the query name
  Returns:
    the formula names

### getFormulasCanBeGroupedBy

    public java.lang.String[] getFormulasCanBeGroupedBy(java.lang.String dataSourceName,
                                                        java.lang.String queryName)

  Gets formulae which are valid to the query and can be grouped on

  Parameters:
    `dataSourceName` - the data source name
    `queryName` - the query name
  Returns:
    the formula names

### getFormulaeCanBeGroupedBy

    public java.lang.String[] getFormulaeCanBeGroupedBy(java.lang.String queryName,
                                                        java.lang.String groupBy)

  Gets formulae which are valid to the query and grouped on this field

  Parameters:
    `queryName` - the query name
    `groupBy` - the groupBy field name
  Returns:
    the formula names

### getChartFunctions

    public java.lang.String[] getChartFunctions(java.lang.String queryName,
                                                java.lang.String groupBy)

  Gets formulae and summaries which are valid to the query and grouped on this field.

  Parameters:
    `queryName` - the query name
    `groupBy` - the groupBy field name
  Returns:
    the formula and summary names

### getChartFunctions

    public java.lang.String[] getChartFunctions(java.lang.String dataSourceName,
                                                java.lang.String queryName,
                                                java.lang.String groupBy)

  Gets formulae and summaries which are valid to the query and grouped on this field.

  Parameters:
    `dataSourceName` - the data source name
    `queryName` - the query name
    `groupBy` - the groupBy field name
  Returns:
    the formula and summary names

### getParameterCanBeGroupedBy

    public java.lang.String[] getParameterCanBeGroupedBy()

  Gets parameters which can be grouped by

  Returns:
    parameter names

### getParameterCanBeGroupedBy

    public java.lang.String[] getParameterCanBeGroupedBy(java.lang.String dataSourceName)

  Gets parameters which can be grouped by

  Parameters:
    `dataSourceName` - the data source name
  Returns:
    parameter names

### getSummaryCanBeSortedBy

    public java.lang.String[] getSummaryCanBeSortedBy(java.lang.String queryName,
                                                      java.lang.String groupBy)

  Gets summary which can be sorted by

  Parameters:
    `queryName` - the query name
    `groupBy` - the groupBy field name
  Returns:
    summary names

### getSummaryCanBeSortedBy

    public java.lang.String[] getSummaryCanBeSortedBy(java.lang.String dataSourceName,
                                                      java.lang.String queryName,
                                                      java.lang.String groupBy)

  Gets summary which can be sorted by

  Parameters:
    `dataSourceName` - the data source name
    `queryName` - the query name
    `groupBy` - the groupBy field name
  Returns:
    summary names

### getMappingnames

    public java.lang.String[] getMappingnames(java.lang.String DSName)

  Gets the field mapping names in the data source

  Parameters:
    `DSName` - the data source object name, such as Query, SQL, UDS, Procedure
  Returns:
    the table name and column mapping names

### getMappingnames

    public java.lang.String[] getMappingnames(java.lang.String dataSourceName,
                                              java.lang.String DSName)

  Gets the field mapping names in the data source of a specified database

  Parameters:
    `dataSourceName` - the data source name
    `DSName` - the data source object name, such as Query, SQL, UDS, Procedure
  Returns:
    the table name and column mapping names

### mapFunction

    public java.lang.String mapFunction(int function)

  convert function type number to String

  Parameters:
    `function` - function type

### isModified

    public boolean isModified()

  whether the catalog was modified

  Returns:
    true if catalog was modified

### setModified

    public void setModified(boolean isModified)

  set the modifying status of Catalog

  Parameters:
    `isModified` - modifying status of Catalog

### getQuoteChar

    public java.lang.String getQuoteChar()

  get quote char in connection

### getQuoteChar

    public java.lang.String getQuoteChar(java.lang.String dataSourceName)

  get quote char in connection

  Parameters:
    `dataSourceName` - the data source name

### getHandle

    public java.lang.String getHandle(java.lang.String resourceName,
                                      int type)

  get the object handle

  Parameters:
    `resourceName` - object mapping name
    `type` - object type
  Returns:
    the object handle

### getHandle

    public java.lang.String getHandle(java.lang.String dataSourceName,
                                      java.lang.String resourceName,
                                      int type)

  get the object handle

  Parameters:
    `dataSourceName` - database name
    `resourceName` - object mapping name
    `type` - object type
  Returns:
    the object handle

### getFunctions

    public java.lang.String[] getFunctions(java.lang.String resourceName)

  get names of embeded functions by the field name

  Parameters:
    `resourceName` - field mapping name
  Returns:
    array of functions name

### getFunctions

    public java.lang.String[] getFunctions(java.lang.String dataSourceName,
                                           java.lang.String resourceName)

  get names of embeded functions by the field name

  Parameters:
    `dataSourceName` - the data source name
    `resourceName` - field mapping name
  Returns:
    array of functions name

### getFunctions

    public java.lang.String[] getFunctions(int iType)

  get names of embeded functions by the field type

  Parameters:
    `iType` - field SQL type
  Returns:
    array of function names

### rename

    public void rename(java.lang.String resourceName,
                       java.lang.String newName,
                       int type)

  rename the specified object

  Parameters:
    `resourceName` - resource name(mapping name) of the object
    `newName` - new name of the object
    `type` - object type

### rename

    public void rename(java.lang.String dataSourceName,
                       java.lang.String resourceName,
                       java.lang.String newName,
                       int type)

  rename the specified object

  Parameters:
    `dataSourceName` - the data source name
    `resourceName` - resource name(mapping name) of the object
    `newName` - new name of the object
    `type` - object type

### getObjectInfo

    public ObjectInfo getObjectInfo(java.lang.String resourceName,
                                    int type)

  get entity information in Catalog

  Parameters:
    `resourceName` - mapping name of the entity
    `type` - type of the entity
  Returns:
    ObjectInfo object which contains property names and values of the entity.

### getObjectInfo

    public ObjectInfo getObjectInfo(java.lang.String dataSourceName,
                                    java.lang.String resourceName,
                                    int type)

  get entity information in Catalog

  Parameters:
    `dataSourceName` - the data source name
    `resourceName` - mapping name of the entity
    `type` - type of the entity
  Returns:
    ObjectInfo object which contains property names and values of the entity.

### getObjectInfo

    public ObjectInfo getObjectInfo(java.lang.String handle)

  get entity information in Catalog

  Parameters:
    `handle` - handle of the entity
  Returns:
    ObjectInfo object which contains property names and values of the entity.

### getSQLType

    public int getSQLType(java.lang.String query,
                          java.lang.String colName)

  Gets sql type of a column

  Parameters:
    `query` - query name
    `colName` - column name
  Returns:
    sql statement string

### getSQLType

    public int getSQLType(java.lang.String sourceName,
                          java.lang.String query,
                          java.lang.String colName)

  Gets sql type of a column

  Parameters:
    `sourceName` - the data source name
    `query` - query name
    `colName` - column name
  Returns:
    sql statement string

### getSQLString

    public java.lang.String getSQLString(java.lang.String queryName)

  Gets sql statement text of a queriable object

  Returns:
    sql statement string

### getSQLString

    public java.lang.String getSQLString(java.lang.String dataSourceName,
                                         java.lang.String queryName)

  Gets sql statement text of a queriable object

  Parameters:
    `dataSourceName` - the data source name
  Returns:
    sql statement string

### getDataSources

    public java.lang.String[] getDataSources()

  Gets all DataSource in the catalog.

  Returns:
    the mapping name array

### getBLNodeQualifyName

    public java.lang.String getBLNodeQualifyName(java.lang.String handle)

  Gets business logic node qualify name.

  Parameters:
    `handle` - business logic handle
  Returns:
    handle string business logic node
  Since:
    JReport version 8

### getBLCategoryHandles

    public java.lang.String[] getBLCategoryHandles(java.lang.String handle)

  Gets business catagory handles in specified business logic node.

  Parameters:
    `handle` - business logic handle
  Returns:
    handles string array of Category
  Since:
    JReport version 8

### getBLHierarchyHandles

    public java.lang.String[] getBLHierarchyHandles(java.lang.String handle)

  Gets business catagory handles in specified business logic node.

  Parameters:
    `handle` - business logic view handle
  Returns:
    handles string array of Hierarchy
  Since:
    JReport version 8

### getBLDetailHandles

    public java.lang.String[] getBLDetailHandles(java.lang.String handle)

  Gets business logic detail information handles in specified business logic node.

  Parameters:
    `handle` - business logic handle
  Returns:
    handles string array of detail information
  Since:
    JReport version 8

### getBLDimensionHandles

    public java.lang.String[] getBLDimensionHandles(java.lang.String handle)

  Gets business logic Dimension handles in specified business logic node.

  Parameters:
    `handle` - business logic handle
  Returns:
    handles string array of Dimension
  Since:
    JReport version 8

### getBLMeasureHandles

    public java.lang.String[] getBLMeasureHandles(java.lang.String handle)

  Gets business logic Measure handles in specified business logic node.

  Parameters:
    `handle` - business logic handle
  Returns:
    handles string array of Measure
  Since:
    JReport version 8

### getBLViewHandles

    public java.lang.String[] getBLViewHandles(java.lang.String dataSourceName)

  Gets business logic view handles in specified datasource.

  Parameters:
    `dataSourceName` - database name
  Returns:
    handles of businessview entity
  Since:
    JReport version 8

### getBLViewHandles

    public java.lang.String[] getBLViewHandles(java.lang.String dataSourceName,
                                               int queryType)

  Gets business logic view handles by specified query type in specified datasource.

  Parameters:
    `dataSourceName` - database name
    `queryType` - specified query type
  Returns:
    handles of businessview entity
  Since:
    JReport version 8

### getBLViewNames

    public java.lang.String[] getBLViewNames(java.lang.String dataSourceName)

  Gets business view names in specified datasource.

  Parameters:
    `dataSourceName` - database name
  Returns:
    name of businessviews entity
  Since:
    JReport version 8

### getBLViewNames

    public java.lang.String[] getBLViewNames(java.lang.String dataSourceName,
                                             int queryType)

  Gets business view names in specified datasource.

  Parameters:
    `dataSourceName` - database name
    `queryType` - specified query type
  Returns:
    name of businessviews entity
  Since:
    JReport version 8

### getBusinessNodeNames

    public java.lang.String[] getBusinessNodeNames(java.lang.String dataSourceName,
                                                   java.lang.String businessViewName)

  Gets business node names in specified datasource.

  Parameters:
    `dataSourceName` - database name
    `businessViewName` - business view name
  Returns:
    qualify name of business logic entity
  Since:
    JReport version 8

### insertBusinessView

    public java.lang.String insertBusinessView(java.lang.String dataSourceName,
                                               java.lang.String queriableName,
                                               java.lang.String businessViewName)

  Inserts a business view into specified queriable object

  Parameters:
    `dataSourceName` - database name
    `queriableName` - queriable object name
    `businessViewName` - new business view name
  Returns:
    handle of business view name
  Since:
    JReport version 8

### insertBLCategory

    public java.lang.String insertBLCategory(java.lang.String parentHandle,
                                             BLCategoryInfo info)
                                      throws DesignerErrorException

  Inserts a business logic Category information into specified object

  Parameters:
    `parentHandle` - handle of parent object
    `info` - Category information
  Returns:
    handle of business logic Category
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### insertBLDetail

    public java.lang.String insertBLDetail(java.lang.String parentHandle,
                                           BLDetailInfo info)
                                    throws DesignerErrorException

  Inserts a business logic Detail information into specified object

  Parameters:
    `parentHandle` - handle of parent object
    `info` - detail information
  Returns:
    handle of business logic detail
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### insertBLMeasure

    public java.lang.String insertBLMeasure(java.lang.String parentHandle,
                                            BLMeasureInfo info)
                                     throws DesignerErrorException

  Inserts a business logic measure into specified object

  Parameters:
    `parentHandle` - handle of parent object
    `info` - measure information
  Returns:
    handle of business logic measure
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### insertBLDimension

    public java.lang.String insertBLDimension(java.lang.String parentHandle,
                                              BLDimensionInfo info)
                                       throws DesignerErrorException

  Inserts a business logic dimension into specified object

  Parameters:
    `parentHandle` - handle of parent object
    `info` - Dimension information
  Returns:
    handle of business logic dimension
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### insertBLHierarchy

    public java.lang.String insertBLHierarchy(java.lang.String blViewHandle,
                                              BLHierarchyInfo info)
                                       throws DesignerErrorException

  Inserts a business logic Category information into specified object

  Parameters:
    `blViewHandle` - handle of business logic view
    `info` - Hierarchy information
  Returns:
    handle of business logic Hierarchy
  Throws:
    `DesignerErrorException`
  Since:
    JReport version 8

### updateUDS

    public boolean updateUDS(java.lang.String userDataSourceName)

  Update UDS in Default Data Source in the Catalog.

  Parameters:
    `userDataSourceName` - Specified User Data Source Name
  Returns:
    If update success, return true, else return false.

### updateUDS

    public boolean updateUDS(java.lang.String dataSourceName,
                             java.lang.String userDataSourceName)

  Update UDS in specified Data Source in the Catalog.

  Parameters:
    `dataSourceName` - Specified Data Source Name
    `userDataSourceName` - Specified User Data Source Name
  Returns:
    If update success, return true, else return false.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD